<?php
return [
    'hero' => [
        'field_name' => [
            'title' => 'text',
            'sub_title' => 'text',
            'short_description' => 'textarea',
            'button_name' => 'text',
            'button_link' => 'url',
            'image' => 'file',
        ],
        'validation' => [
            'title.*' => 'required|max:70',
            'sub_title.*' => 'required|max:100',
            'short_description.*' => 'required|max:2000',
            'button_name.*' => 'required|max:50',
            'button_link.*' => 'required|max:2000',
            'image.*' => 'nullable|max:3072|image|mimes:jpg,jpeg,png',
        ],
        'size' => [
            'image' => '636x452'
        ]
    ],

    'about-us' => [
        'field_name' => [
            'title' => 'text',
            'sub_title' => 'text',
            'short_description' => 'textarea',
            'image' => 'file',
            'button_name' => 'text',
            'button_link' => 'url',
        ],
        'validation' => [
            'title.*' => 'required|max:60',
            'sub_title.*' => 'required|max:300',
            'short_description.*' => 'required|max:5000',
            'image.*' => 'nullable|max:3072|image|mimes:jpg,jpeg,png',

            'button_name.*' => 'required|max:50',
            'button_link.*' => 'required|max:2000',
        ],
        'size' => [
            'image' => '600x566'
        ]
    ],

    'plan' => [
        'field_name' => [
            'title' => 'text',
            'sub_title' => 'text',
        ],
        'validation' => [
            'title.*' => 'required|max:60',
            'sub_title.*' => 'required|max:100',
        ]
    ],

    'feature' => [
        'field_name' => [
            'title' => 'text',
            'sub_title' => 'text',
        ],
        'validation' => [
            'title.*' => 'required|max:100',
            'sub_title.*' => 'required|max:200',
        ]
    ],

    'testimonial' => [
        'field_name' => [
            'title' => 'text',
            'sub_title' => 'text',
            'image' => 'file'
        ],
        'validation' => [
            'title.*' => 'required|max:100',
            'sub_title.*' => 'required|max:200',
            'image.*' => 'required|max:3072|image|mimes:jpg,jpeg,png',
        ],
        'size' => [
            'image' => '1920x1280'
        ]
    ],

    'blog' => [
        'field_name' => [
            'title' => 'text',
            'sub_title' => 'text',
        ],
        'validation' => [
            'title.*' => 'required|max:100',
            'sub_title.*' => 'required|max:200',
        ]
    ],

    'contact-us' => [
        'field_name' => [
            'heading' => 'text',
            'sub_heading' => 'text',
            'address' => 'text',
            'email' => 'text',
            'phone' => 'text',
            'footer_short_details' => 'textarea',
            'image' => 'file'
        ],
        'validation' => [
            'heading.*' => 'required|max:100',
            'sub_heading.*' => 'required|max:200',
            'address.*' => 'required|max:2000',
            'email.*' => 'required|max:2000',
            'phone.*' => 'required|max:2000',
            'image.*' => 'required|max:3072|image|mimes:jpg,jpeg,png',
        ],
        'size' => [
            'image' => '636x491'
        ]
    ],

    'cookie-consent' => [
        'field_name' => [
            'title' => 'text',
            'popup_short_description' => 'textarea',
            'description' => 'textarea',
        ],
        'validation' => [
            'title.*' => 'required|min:2|max:180',
            'popup_short_description.*' => 'required|min:2|max:300',
            'description.*' => 'required|min:2|max:100000',
        ],
    ],

    'referral-on-deposit' => [
        'field_name' => [
            'referral_title' => 'text',
            'referral_sub_title' => 'text'
        ],
        'validation' => [
            'referral_title.*' => 'required|max:100',
            'referral_sub_title.*' => 'required|max:200'
        ]
    ],

    'referral-on-ads-view' => [
        'field_name' => [
            'referral_title' => 'text',
            'referral_sub_title' => 'text'
        ],
        'validation' => [
            'referral_title.*' => 'required|max:100',
            'referral_sub_title.*' => 'required|max:200'
        ]
    ],

    'referral-on-purchase-plan' => [
        'field_name' => [
            'referral_title' => 'text',
            'referral_sub_title' => 'text'
        ],
        'validation' => [
            'referral_title.*' => 'required|max:100',
            'referral_sub_title.*' => 'required|max:200'
        ]
    ],

    'message' => [
        'required' => 'This field is required.',
        'min' => 'This field must be at least :min characters.',
        'max' => [
            'file' => 'This image may not be greater than :max kilobytes.',
            'string' => 'The field may not be greater than :max characters.',
        ],
        'image' => 'This field must be an image.',
        'mimes' => 'This image must be a file of type: jpg, jpeg, png.',
    ],

    'template_media' => [
        'image' => 'file',
        'thumbnail' => 'file',
        'youtube_link' => 'url',
        'button_link' => 'url',
    ]
];
