<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePtcsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ptcs', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->string('ads_name');
            $table->tinyInteger('ads_type')->default(0)->comment('1=URL/Link, 2=youtube, 3=picture/banner, 4=code/script');
            $table->longText('ads_body');
            $table->decimal('user_amount')->default('0');
            $table->integer('ads_duration')->default('0');
            $table->integer('max_show_limit')->default('0');
            $table->integer('shown')->default('0');
            $table->integer('remaining')->default('0');
            $table->tinyInteger('status')->default('0')->comment('0=inactive, 1=active, 2=pending, 3=rejected');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ptcs');
    }
}
