@extends('admin.layouts.app')
@section('title')
    @lang('Advertisement Settings')
@endsection

@section('content')

    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <form action="{{route('admin.store.advertisement.settings')}}" method="post">
            @csrf
            <div class="card-body row">

                <div class="col-12 col-md-4 col-lg-4 mt-3">
                    <div class="card card-primary shadow">
                        <div class="card-header bg-dark">
                            <h5 class="text-white">@lang('Image Advertisement')</h5>
                        </div>
                        <div class="card-body">
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Advertisement Price') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="ad_price[image]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->ad_price->image }}" placeholder="@lang('Enter Price')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Bonus For User') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="amount_for_user[image]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->amount_for_user->image }}" placeholder="@lang('Enter Bonus for User')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-4 col-lg-4 mt-3">
                    <div class="card card-primary shadow">
                        <div class="card-header bg-dark">
                            <h5 class="text-white">@lang('Script Advertisement')</h5>
                        </div>
                        <div class="card-body">
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Advertisement Price') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="ad_price[script]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->ad_price->script }}" placeholder="@lang('Enter Price')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Bonus For User') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="amount_for_user[script]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->amount_for_user->script }}" placeholder="@lang('Enter Bonus for User')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-4 col-lg-4 mt-3">
                    <div class="card card-primary shadow">
                        <div class="card-header bg-dark">
                            <h5 class="text-white">@lang('URL Advertisement')</h5>
                        </div>
                        <div class="card-body">
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Advertisement Price') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="ad_price[url]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->ad_price->url }}" placeholder="@lang('Enter Price')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Bonus For User') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="amount_for_user[url]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->amount_for_user->url }}" placeholder="@lang('Enter Bonus for User')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-4 col-lg-4 mt-3">
                    <div class="card card-primary shadow">
                        <div class="card-header bg-dark">
                            <h5 class="text-white">@lang('Youtube Video Advertisement')</h5>
                        </div>
                        <div class="card-body">
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Advertisement Price') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="ad_price[youtube]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->ad_price->youtube }}" placeholder="@lang('Enter Price')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12 col-md-12 m-0 p-0">
                                <div class="form-group">
                                    <label>@lang('Bonus For User') <span class="text-danger">*</span></label>
                                    <div class="input-group">
                                        <input type="number" name="amount_for_user[youtube]" class="form-control"
                                        value="{{ @$siteConfigure->ads_setting->amount_for_user->youtube }}" placeholder="@lang('Enter Bonus for User')" step="any" required>
                                        <div class="input-group-append"><div class="input-group-text">{{ $basic->currency }}</div></div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>


                <div class="col-12 col-md-4 col-lg-4 mt-3">
                    <label>@lang('User Advertisement Status') <span class="text-danger">*</span></label>
                    <div class="custom-switch-btn">
                        <input type='hidden' value='1' name='user_ads_status'>
                        <input type="checkbox" name="user_ads_status" class="custom-switch-checkbox" id="user_ads_status"
                            value="0" {{(@$siteConfigure->user_ads_status == 0) ? 'checked' : ''}}>
                        <label class="custom-switch-checkbox-label" for="user_ads_status">
                            <span class="custom-switch-checkbox-inner"></span>
                            <span class="custom-switch-checkbox-switch"></span>
                        </label>
                    </div>
                </div>

                <button type="submit" class="btn waves-effect waves-light btn-rounded btn-primary btn-block mt-3">
                    @lang('Save')
                </button>

            </div>
        </form>
    </div>

@endsection


@push('js')
    <script>
        (function($){
            "use strict"
            $('[name=user_ads_status]').on('change', function () {
                var isStatusChecked = $(this).prop('checked');
                if (isStatusChecked == true) {
                    $('[type=number]').attr('readonly',true)
                } else {
                    $('[type=number]').removeAttr('readonly')
                }
            }).on('change',);
        })(jQuery);
    </script>

    @if ($errors->any())
        @php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        @endphp
        <script>
            "use strict";
            @foreach ($errors as $error)
                Notiflix.Notify.Failure("{{trans($error)}}");
            @endforeach
        </script>
    @endif
@endpush
