@extends('admin.layouts.app')
@section('title')
    @lang('Social Login Configuration')
@endsection

@section('content')

    <div class="container-fluid">
        <div class="row mt-sm-4">
            <div class="col-12 col-md-4 col-lg-4">
                @include('admin.plugin_panel.components.sidebar', ['settings' => config('generalsettings.social-login'), 'suffix' => ''])
            </div>
            <div class="col-12 col-md-8 col-lg-8">
                <div class="container-fluid" id="container-wrapper">
                    <div class="row justify-content-md-center">
                        <div class="col-lg-12">
                            <div class="card mb-4 card-primary shadow">
                                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-dark">
                                    <h5 class="text-white">@lang('Social Login Configuration')</h5>
                                </div>
                                <div class="card-body py-5">
                                    <div class="row justify-content-md-center">
                                        <div class="col-lg-10">
                                            <div class="card mb-4 shadow">
                                                <div class="card-body">
                                                    <div class="row justify-content-between align-items-center">
                                                        <div class="col-md-3"><img src="{{ asset('assets/uploads/socialLogin/google.png') }}" class="w-25"></div>
                                                        <div class="col-md-6">@lang('Sign In your account with Google, It\'s easy & simple.')</div>
                                                        <div class="col-md-3"><a href="{{ route('admin.google.login.control') }}" class="btn btn-sm btn-primary" target="_blank">@lang('Configuration')</a></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row justify-content-md-center">
                                        <div class="col-lg-10">
                                            <div class="card mb-4 shadow">
                                                <div class="card-body">
                                                    <div class="row justify-content-between align-items-center">
                                                        <div class="col-md-3"><img src="{{ asset('assets/uploads/socialLogin/facebook.png') }}" class="w-25"></div>
                                                        <div class="col-md-6">@lang('Sign In your account with Facebook, It\'s easy & simple.')</div>
                                                        <div class="col-md-3"><a href="{{ route('admin.facebook.login.control') }}" class="btn btn-sm btn-primary" target="_blank">@lang('Configuration')</a></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row justify-content-md-center">
                                        <div class="col-lg-10">
                                            <div class="card mb-4 shadow">
                                                <div class="card-body">
                                                    <div class="row justify-content-between align-items-center">
                                                        <div class="col-md-3"><img src="{{ asset('assets/uploads/socialLogin/github.png') }}" class="w-25"></div>
                                                        <div class="col-md-6">@lang('Sign In your account with GitHub, It\'s easy & simple.')</div>
                                                        <div class="col-md-3"><a href="{{ route('admin.github.login.control') }}" class="btn btn-sm btn-primary" target="_blank">@lang('Configuration')</a></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

