@extends('admin.layouts.app')
@section('title',trans('Referral Commissions').': '.$user->username )

@section('content')

    <div class="page-header card card-primary m-0 m-md-4 my-4 m-md-0 p-5 shadow">
        <div class="row justify-content-between">
            <div class="col-md-12">
                <form action="{{route('admin.commissions.search')}}" method="get">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <input type="text" name="user_name" value="{{@request()->user_name}}" class="form-control get-username" placeholder="@lang('Search by User\'s Name')">
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <input type="date" class="form-control" name="datetrx" id="datepicker" value="{{@request()->datetrx}}"/>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <button type="submit" class="btn btn-block btn-primary"><i class="fas fa-search"></i> @lang('Search')</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>



    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <div class="card-body">
            <table class="categories-show-table table table-hover table-striped table-bordered">
                <thead class="thead-dark">
                <tr>
                    <th>@lang('SL No.')</th>
                    <th>@lang('User\'s Name')</th>
                    <th>@lang('Bonus From')</th>
                    <th>@lang('Bonus Amount')</th>
                    <th>@lang('Remarks')</th>
                    <th>@lang('Date-Time')</th>
                </tr>
                </thead>
                <tbody>
                @forelse($transactions as $k => $transaction)
                    <tr>
                        <td data-label="@lang('SL No.')">{{loopIndex($transactions) + $k}}</td>
                        <td data-label="@lang('User\'s Name')">
                            <a href="{{route('admin.user-edit',[$transaction->from_user_id])}}" target="_blank" class="userList">
                                <div class="d-flex no-block align-items-center">
                                    <div class="mr-2"><img src="{{getFile(config('location.user.path').optional($transaction->user)->image) }}" alt="@lang('user image')" class="rounded-circle" width="45" height="45"></div>
                                    <div>
                                        <h5 class="text-dark mb-0 font-16 font-weight-medium">@lang(optional($transaction->user)->firstname) @lang(optional($transaction->user)->lastname)</h5>
                                        <span class="text-muted font-14"><span>@</span>@lang(optional($transaction->user)->username)</span>
                                    </div>
                                </div>
                            </a>
                        </td>
                        <td data-label="@lang('Bonus From')">
                            <a href="{{route('admin.user-edit',[optional($transaction->bonusBy)->id])}}" target="_blank" class="userList">
                                <div class="d-flex no-block align-items-center">
                                    <div class="mr-2"><img src="{{getFile(config('location.user.path').optional($transaction->bonusBy)->image) }}" alt="@lang('user image')" class="rounded-circle" width="45" height="45"></div>
                                    <div>
                                        <h5 class="text-dark mb-0 font-16 font-weight-medium">@lang(optional($transaction->bonusBy)->firstname) @lang(optional($transaction->bonusBy)->lastname)</h5>
                                        <span class="text-muted font-14"><span>@</span>@lang(optional($transaction->bonusBy)->username)</span>
                                    </div>
                                </div>
                            </a>
                        </td>
                        <td data-label="@lang('Bonus Amount')">
                            <span class="font-weight-bold text-success">
                                {{getAmount($transaction->amount, config('basic.fraction_number')). ' ' . trans(config('basic.currency'))}}
                            </span>
                        </td>

                        <td data-label="@lang('Remarks')"> @lang($transaction->remarks)</td>
                        <td data-label="@lang('Date-Time')">
                            {{ dateTime($transaction->created_at, 'd M Y h:i A') }}
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-center text-danger" colspan="6">@lang('No User Data')</td>
                    </tr>
                @endforelse
                </tbody>
            </table>
            {{ $transactions->links('partials.pagination') }}
        </div>
    </div>
@endsection
