@extends($theme.'layouts.app')
@section('title',trans('Reset Password'))

@section('content')
    <section class="login-section">
        <div class="container h-100">
            <div class="row h-100 justify-content-center">
                <div class="col-lg-6">
                    <div class="form-wrapper d-flex align-items-center h-100">
                        <form action="{{route('password.update')}}" method="post">
                            @csrf
                            <div class="row g-4">

                                @if (session('status'))
                                    <div class="alert alert-success alert-dismissible fade show w-100" role="alert">
                                        {{ trans(session('status')) }}
                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                    </div>
                                @endif

                                @error('token')
                                    <div class="alert alert-success alert-dismissible fade show w-100" role="alert">
                                        {{ trans($message) }}
                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                    </div>
                                @enderror

                                <div class="col-12">
                                    <h4>@lang('Recover Password')</h4>
                                </div>

                                <input type="hidden" name="token" value="{{ $token }}">
                                <input type="hidden" name="email" value="{{ $email }}">

                                <div class="input-box col-12">
                                    <input type="password" name="password" placeholder="@lang('New Password')" class="form-control"/>
                                    @error('password')
                                        <span class="text-danger mt-1">@lang($message)</span>
                                    @enderror
                                </div>

                                <div class="input-box col-12">
                                    <input type="password" name="password_confirmation" placeholder="@lang('Confirm Password')" class="form-control"/>
                                </div>
                            </div>

                            <button type="submit" class="btn-custom w-100 mt-4">@lang('Submit')</button>

                            <div class="bottom">
                                @lang('Don\'t have an account?')
                                <a href="{{ route('register') }}">@lang('Create account')</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
