@extends($theme.'layouts.app')
@section('title',trans($title))

@section('content')
    <!-- CONTACT -->
    @if(isset($contact) && $contactUs = $contact)
        <div class="contact-section">
            <div class="container">
                <div class="info-wrapper">
                    <div class="row g-lg-5 g-4">
                    <div class="col-lg-4">
                        <div class="info-box">
                            <div class="icon"><img src="{{ getFile($themeTrue.'images/icon/location.png') }}" alt="@lang('location img')"/></div>
                            <div class="text">
                                <h4>@lang('Location')</h4>
                                <p>@lang(@$contact->description->address)</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="info-box">
                            <div class="icon"><img src="{{ getFile($themeTrue.'images/icon/email.png') }}" alt="@lang('email img')"/></div>
                            <div class="text">
                                <h4>@lang('Email')</h4>
                                <p>@lang(@$contact->description->email)</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="info-box">
                            <div class="icon"><img src="{{ getFile($themeTrue.'images/icon/phone-call.png') }}" alt="@lang('phone img')"/></div>
                            <div class="text">
                                <h4>@lang('Phone')</h4>
                                <p>@lang(@$contact->description->phone)</p>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <div class="img-box">
                        <img src="{{getFile(config('location.content.path').@$contact->templateMedia()->image)}}" alt="@lang('contact img')" class="img-fluid" />
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <h3>@lang(@$contact->description->heading)</h3>
                        <p class="mb-4">@lang(@$contact->description->sub_heading)</p>
                        <form action="{{route('contact.send')}}" method="POST">
                            @csrf
                            <div class="row g-3">
                                <div class="input-box col-md-6">
                                    <input class="form-control" type="text" name="name" value="{{old('name')}}" placeholder="@lang('Full name')" />
                                    @error('name')
                                        <span class="text-danger">@lang($message)</span>
                                    @enderror
                                </div>
                                <div class="input-box col-md-6">
                                    <input class="form-control" type="email" name="email" value="{{old('email')}}" placeholder="@lang('Email address')"/>
                                    @error('email')
                                        <span class="text-danger">@lang($message)</span>
                                    @enderror
                                </div>
                                <div class="input-box col-12">
                                    <input
                                        type="text" name="subject"
                                        value="{{old('subject')}}" placeholder="@lang('Subject')"
                                        class="form-control"
                                    />
                                    @error('subject')
                                        <span class="text-danger">@lang($message)</span>
                                    @enderror
                                </div>
                                <div class="input-box col-12">
                                    <textarea class="form-control" cols="30" rows="3" name="message" placeholder="@lang('Your message')">{{old('message')}}</textarea>
                                    @error('message')
                                        <span class="text-danger">@lang($message)</span>
                                    @enderror
                                </div>
                                <div class="input-box col-12">
                                    <button type="submit" class="btn-custom">@lang('submit')</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    @endif
    <!-- /CONTACT -->
@endsection
