<!DOCTYPE html>
<!--[if lt IE 7 ]>
<html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]>
<html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]>
<html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html class="no-js" lang="en" @if(session()->get('rtl') == 1) dir="rtl" @endif >
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    @include('partials.seo')

    <link rel="stylesheet" href="{{asset($themeTrue.'css/bootstrap.min.css')}}"/>
    <link rel="stylesheet" href="{{asset($themeTrue.'css/aos.css')}}"/>
    <link rel="stylesheet" href="{{asset($themeTrue.'css/animate.css')}}"/>
    <link rel="stylesheet" href="{{asset($themeTrue.'css/owl.carousel.min.css')}}"/>
    <link rel="stylesheet" href="{{asset($themeTrue.'css/owl.theme.default.min.css')}}"/>
    <script src="{{asset($themeTrue.'js/fontawesomepro.js')}}"></script>

    @stack('css-lib')

    <link rel="stylesheet" href="{{asset($themeTrue.'css/style.css')}}"/>

    @stack('style')

</head>

<body class="@if(session()->get('rtl') == 1) rtl @endif">

<!-- bottom navbar -->
<div class="bottom-nav fixed-bottom d-lg-none">
    <div class="link-item {{menuActive(['user.all.advertise'])}}">
        <a href="{{route('user.all.advertise')}}">
            <i class="fal fa-ad"></i>
        </a>
    </div>
    <div class="link-item {{menuActive('user.addFund')}}">
        <a href="{{route('user.addFund')}}">
            <i class="fal fa-credit-card"></i>
        </a>
    </div>
    <div class="link-item {{menuActive('user.home')}}">
        <a href="{{route('user.home')}}">
            <i class="fal fa-home-lg-alt"></i>
        </a>
    </div>
    <div class="link-item {{menuActive('user.transaction')}}">
        <a href="{{route('user.transaction')}}">
            <i class="fal fa-exchange"></i>
        </a>
    </div>
    <div class="link-item">
        <button onclick="toggleSideMenu()">
            <i class="fal fa-ellipsis-v-alt"></i>
        </button>
    </div>
</div>

<div class="dashboard-wrapper">
    <!-- sidebar -->
    <div id="sidebar" class="">
        <div class="sidebar-top">
            <a class="navbar-brand d-none d-lg-block" href="{{route('home')}}">
                <img src="{{getFile(config('location.logoIcon.path').'logo.png')}}"
                     alt="{{config('basic.site_title')}}">
            </a>
            <div class="mobile-user-area d-lg-none">
                <div class="thumb">
                    <img src="{{getFile(config('location.user.path').auth()->user()->image)}}"
                         class="img-fluid user-img" alt="@lang('user profile')"/>
                </div>
                <div class="content">
                    <h5 class="mt-1 mb-1 user-name">{{Auth::user()->fullname}}</h5>
                    <span class="text-small">{{'@'.Auth::user()->username}}</span>
                </div>
            </div>
            <button class="sidebar-toggler d-lg-none" onclick="toggleSideMenu()">
                <i class="fal fa-times"></i>
            </button>
        </div>
        <ul class="main">
            <li>
                <a href="{{ route('user.home') }}" class="{{menuActive('user.home')}}">
                    <i class="far fa-tachometer-alt-fast"></i>@lang('Dashboard')
                </a>
            </li>
            <li>
                <a href="{{route('user.addFund')}}" class="{{menuActive(['user.addFund', 'user.addFund.confirm'])}}">
                    <i class="fal fa-sack-dollar"></i>@lang('Add Fund')
                </a>
            </li>
            <li>
                <a href="{{route('user.fund-history')}}"
                   class="{{menuActive(['user.fund-history', 'user.fund-history.search'])}}">
                    <i class="fal fa-money-check-alt"></i>@lang('Deposit History')
                </a>
            </li>
            <li>
                <a href="{{route('user.money-transfer')}}" class="{{menuActive('user.money-transfer')}}">
                    <i class="far fa-exchange"></i>@lang('Fund Transfer')
                </a>
            </li>
            <li>
                <a href="{{route('user.transaction')}}"
                   class="{{menuActive(['user.transaction', 'user.transaction.search'])}}">
                    <i class="fal fa-credit-card-front"></i>@lang('All Transaction')
                </a>
            </li>
            <li>
                <a href="{{route('user.payout.money')}}"
                   class="{{menuActive(['user.payout.money','user.payout.preview'])}}">
                    <i class="fal fa-hand-holding-usd"></i>@lang('Withdraw')
                </a>
            </li>
            <li>
                <a href="{{route('user.payout.history')}}"
                   class="{{menuActive(['user.payout.history','user.payout.history.search'])}}">
                    <i class="fal fa-money-check-alt"></i>@lang('Withdraw History')
                </a>
            </li>
            <li class="{{menuActive(['user.all.advertise'],3)}}">
                <a
                    class="dropdown-toggle"
                    data-bs-toggle="collapse"
                    href="#dropdownCollapsible"
                    role="button"
                    aria-expanded="false"
                    aria-controls="collapseExample"
                >
                    <i class="fal fa-ad"></i>@lang('Advertisement')
                </a>
                <div
                    class="collapse dropdown-collapsible {{menuActive(['user.all.advertise', 'user.my.advertise', 'user.all.clicks', 'user.create.advertise', 'user.edit.my.ad', 'user.search.my.advertise', 'user.all.click.earnings', 'user.search.click.earnings'],4)}}"
                    id="dropdownCollapsible">
                    <ul class="">
                        <li>
                            <a href="{{ route('user.all.advertise') }}" class="{{menuActive(['user.all.advertise'])}}">
                                <i class="far fa-list"></i>@lang('All Advertise List')
                            </a>
                        </li>
                        @php
                            $siteConfigure = App\Models\Configure::select('user_ads_status')->first();
                        @endphp
                        @if ($siteConfigure &&  $siteConfigure->user_ads_status == 1)
                            <li>
                                <a href="{{ route('user.create.advertise') }}"
                                   class="{{menuActive(['user.create.advertise'])}}">
                                    <i class="far fa-plus-circle"></i>@lang('Create Advertise')
                                </a>
                            </li>
                        @endif
                        <li>
                            <a href="{{ route('user.my.advertise') }}"
                               class="{{menuActive(['user.my.advertise', 'user.edit.my.ad', 'user.search.my.advertise'])}}">
                                <i class="fab fa-adversal"></i>@lang('My Advertise List')
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('user.all.click.earnings') }}"
                               class="{{menuActive(['user.all.click.earnings', 'user.search.click.earnings'])}}">
                                <i class="far fa-money-bill-alt"></i>@lang('Ads View Earning List')
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
            <li>
                <a href="{{route('user.referral')}}" class="{{menuActive(['user.referral'])}}">
                    <i class="fal fa-share-square"></i>@lang('My Referral')
                </a>
            </li>
            <li>
                <a href="{{route('user.referral.bonus')}}"
                   class="{{menuActive(['user.referral.bonus', 'user.referral.bonus.search'])}}">
                    <i class="fal fa-box-usd"></i>@lang('Referral Bonus')
                </a>
            </li>
            <li>
                <a href="{{route('user.ticket.list')}}"
                   class="{{menuActive(['user.ticket.list', 'user.ticket.create', 'user.ticket.view*'])}}">
                    <i class="fal fa-user-headset"></i>@lang('Support Ticket')
                </a>
            </li>
            <li>
                <a href="{{route('user.profile')}}" class="{{menuActive('user.profile')}}">
                    <i class="fal fa-user-edit"></i>@lang('Edit Profile')
                </a>
            </li>
            <li>
                <a href="{{route('user.twostep.security')}}" class="{{menuActive(['user.twostep.security'])}}">
                    <i class="fal fa-user-lock"></i>@lang('2FA Security')
                </a>
            </li>
            <li>
                <a href="{{ route('logout') }}"
                   onclick="event.preventDefault(); document.getElementById('userLogout-form').submit();">
                    <i class="fal fa-sign-out-alt"></i>@lang('Sign Out')
                </a>
            </li>
            <form id="userLogout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                @csrf
            </form>
        </ul>
    </div>

    <!-- content -->
    <div id="content">
        <div class="overlay">
            <!-- navbar -->
            <nav class="navbar navbar-expand-lg">
                <div class="container-fluid">

                    <a class="navbar-brand d-lg-none" href="{{route('home')}}">
                        <img src="{{getFile(config('location.logoIcon.path').'logo.png')}}"
                             alt="{{config('basic.site_title')}}">
                    </a>
                    <button class="sidebar-toggler d-none d-lg-block" onclick="toggleSideMenu()">
                        <i class="far fa-bars"></i>
                    </button>

                    <!-- navbar text -->
                    <span class="navbar-text">

                            <!-- notification panel -->
                            @include($theme.'partials.pushNotify')

                    <!-- user panel -->
                            <div class="user-panel d-none d-lg-block">
                                <span class="profile">
                                    @if(auth()->user()->image != NULL)
                                        <img src="{{getFile(config('location.user.path').auth()->user()->image)}}"
                                             class="img-fluid" alt="@lang('user profile')"/>
                                        <span class="primaryColorText2">
                                            {{ auth()->user()->username }}
                                        </span>
                                    @else
                                        <img src="{{getFile(config('location.default'))}}" class="img-fluid"
                                             alt="@lang('default image')">
                                        <span class="primaryColorText2">
                                            {{ auth()->user()->username }}
                                        </span>
                                    @endif
                                </span>
                                <ul class="user-dropdown">
                                    <li>
                                        <a href="{{route('user.profile')}}"> <i class="fal fa-user"></i> @lang('Profile')</a>
                                    </li>
                                    <li>
                                        <a href="{{route('plan')}}"> <i class="far fa-cubes"></i> @lang('Plan Purchase')</a>
                                    </li>
                                    <li>
                                        <a href="{{route('user.all.advertise')}}"> <i class="fal fa-ad"></i> @lang('All Advertise List')</a>
                                    </li>
                                    <li>
                                        <a href="{{ route('logout') }}"
                                           onclick="event.preventDefault(); document.getElementById('userLogout').submit();">
                                            <i class="fal fa-sign-out-alt"></i> @lang('Sign Out')
                                        </a>
                                    </li>
                                    <form id="userLogout" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>

                                </ul>
                            </div>
                        </span>
                </div>
            </nav>

            <!-- main -->
            @yield('content')

        </div>
    </div>
</div>


@stack('loadModal')

@stack('extra-content')


<script src="{{asset($themeTrue.'js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('assets/global/js/jquery.min.js') }}"></script>
<script src="{{asset($themeTrue.'js/aos.js')}}"></script>
<script src="{{asset($themeTrue.'js/owl.carousel.min.js')}}"></script>
<script src="{{asset($themeTrue.'js/socialSharing.js')}}"></script>

@stack('extra-js')

<script src="{{asset('assets/global/js/notiflix-aio-2.7.0.min.js')}}"></script>
<script src="{{asset('assets/global/js/pusher.min.js')}}"></script>
<script src="{{asset('assets/global/js/vue.min.js')}}"></script>
<script src="{{asset('assets/global/js/axios.min.js')}}"></script>

<!-- custom script -->
<script src="{{asset($themeTrue.'js/script.js')}}"></script>


<script>
    'use strict';
    @auth
        @if(config('basic.push_notification') == 1)
        let pushNotificationArea = new Vue({
            el: "#pushNotificationArea",
            data: {
                items: [],
            },
            mounted() {
                this.getNotifications();
                this.pushNewItem();
            },
            methods: {
                getNotifications() {
                    let app = this;
                    axios.get("{{ route('user.push.notification.show') }}")
                        .then(function (res) {
                            app.items = res.data;
                        })
                },
                readAt(id, link) {
                    let app = this;
                    let url = "{{ route('user.push.notification.readAt', 0) }}";
                    url = url.replace(/.$/, id);
                    axios.get(url)
                        .then(function (res) {
                            if (res.status) {
                                app.getNotifications();
                                if (link != '#') {
                                    window.location.href = link
                                }
                            }
                        })
                },
                readAll() {
                    let app = this;
                    let url = "{{ route('user.push.notification.readAll') }}";
                    axios.get(url)
                        .then(function (res) {
                            if (res.status) {
                                app.items = [];
                            }
                        })
                },
                pushNewItem() {
                    let app = this;
                    // Pusher.logToConsole = true;
                    let pusher = new Pusher("{{ env('PUSHER_APP_KEY') }}", {
                        encrypted: true,
                        cluster: "{{ env('PUSHER_APP_CLUSTER') }}"
                    });
                    let channel = pusher.subscribe('user-notification.' + "{{ Auth::id() }}");
                    channel.bind('App\\Events\\UserNotification', function (data) {
                        app.items.unshift(data.message);
                    });
                    channel.bind('App\\Events\\UpdateUserNotification', function (data) {
                        app.getNotifications();
                    });
                }
            }
        });
        @endif
    @endauth

    // toggle sidebar
    const toggleSideMenu = () => {
        document.getElementById("sidebar").classList.toggle("active");
        document.getElementById("content").classList.toggle("active");
    };


    $(".card-boxes").owlCarousel({
        loop: true,
        margin: -25,
        rtl: false,
        nav: false,
        dots: false,
        autoplay: false,
        autoplayTimeout: 3000,
        responsive: {
            0: {
                items: 1,
            },
            576: {
                items: 2,
            },
        },
    });
</script>

@stack('script')

@include($theme.'partials.notification')

@include('plugins')

</body>
</html>
