<!-- footer section -->
<footer class="footer-section" id="subscribe">
<div class="container">
    <div class="row gy-5 gy-lg-0">
        <div class="col-lg-3 col-md-6">
            <div class="footer-box">
                <a class="navbar-brand" href="{{route('home')}}">
                    <img src="{{getFile(config('location.logo.path').'admin-logo.png')}}" alt="@lang('footer img')" />
                </a>
                <p class="company-bio">
                    @if(isset($contactUs['contact-us'][0]) && $contact = $contactUs['contact-us'][0])
                        {!! trans(optional($contact->description)->footer_short_details) !!}
                    @endif
                </p>
                @if(isset($contentDetails['social']))
                    <div class="social-links">
                        @foreach($contentDetails['social'] as $data)
                            <a href="{{@$data->content->contentMedia->description->link}}" target="_blank">
                                <i class="{{@$data->content->contentMedia->description->icon}}"></i>
                            </a>
                        @endforeach
                    </div>
                @endif
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="footer-box">
            <h4>@lang("Quick Links")</h4>
            <ul>
                <li><a href="{{route('home')}}">@lang('Home')</a></li>
                <li><a href="{{route('about')}}">@lang('About us')</a></li>
                <li><a href="{{route('plan')}}">@lang('Plan')</a></li>
                <li><a href="{{route('blog')}}">@lang('Blogs')</a></li>
            </ul>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="footer-box">
            <h4>@lang('Our Services')</h4>
            <ul>
                <li><a href="{{route('contact')}}">@lang('Contact')</a></li>
                <li><a href="{{route('faq')}}">@lang('FAQ')</a></li>
                @isset($contentDetails['pages'])
                    @foreach($contentDetails['pages'] as $data)
                        <li><a href="{{route('getLink', [slug($data->description->title), $data->content_id])}}">@lang($data->description->title)</a></li>
                    @endforeach
                @endisset
            </ul>
            </div>
        </div>


        @if(isset($newsLetter['news-letter'][0]) && $newsLetter = $newsLetter['news-letter'][0])
            <div class="col-lg-3 col-md-6">
                <div class="footer-box">
                    <h4>@lang(@$newsLetter->description->title)</h4>
                    <p>@lang(@$newsLetter->description->sub_title)</p>
                    <div class="news-letter">
                        <form action="{{route('subscribe')}}" method="post">
                            @csrf
                           <div>
                               <input type="email" name="email" value="{{ old('email') }}" placeholder="@lang('Email Address')" class="form-control"/>
                               <button type="submit" class="btn-custom">
                                   <i class="fad fa-paper-plane"></i>
                               </button>
                           </div>

                            @error('email')
                            <span class="text-danger d-block mt-1">{{$message}}</span>
                            @enderror
                        </form>

                    </div>
                </div>
            </div>
        @endif

    </div>

    <div class="footer-bottom">
        <div class="row">
            <div class="col-md-6">
                <p class="copyright">
                    @lang('Copyright') &copy; {{date('Y')}} <a href="{{route('home')}}">@lang($basic->site_title)</a>
                    @lang('All Rights Reserved.')
                </p>
            </div>

            <div class="col-md-6 language">
                <div class="d-flex justify-content-end">
                    @foreach($allLanguage as $language)
                    <a href="{{route('language',[$language->short_name])}}" class="{{session()->get('trans') == $language->short_name ? 'redColorText' : ''}}">
                        <div class="d-flex">
                            <span class="mx-2 flag-icon flag-icon-{{strtolower($language->short_name)}}"></span> <span>{{$language->name}}</span>
                        </div>
                    </a>
                @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
</footer>


<!-- cookie alert -->
@if(getCookieInfo() != false)
    <div id="cookieAlert" class="cookie-content">
        <h4>
            <i class="fad fa-cookie-bite"></i>
            @lang(optional(getCookieInfo()->description)->title)
        </h4>
        <p>
            @lang(\Illuminate\Support\Str::limit(optional(getCookieInfo()->description)->popup_short_description, 180))
            <a href="{{ route('getTemplate', ['cookie-consent']) }}" target="_blank">@lang('Privacy Policy')</a>
        </p>
        <div class="cookie-btns">
            <button class="btn-custom close-btn" id="cookie-deny">@lang('Decline')</button>
            <button class="btn-custom" id="cookie-accept">@lang('Accept')</button>
        </div>
    </div>
@endif
