<!-- BLOG -->
@if(isset($templates['blog'][0]) && $blog = $templates['blog'][0])
@if(0 < count($blogs))
    <section class="blog-section">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="header-text text-center">
                        <h5>@lang(@$blog->description->title)</h5>
                        <h2>@lang(@$blog->description->sub_title)</h2>
                    </div>
                </div>
            </div>

            <div class="row g-4 g-lg-5">
                @foreach($blogs->take(3)->sortDesc()->shuffle() as $blog)
                    <div class="col-lg-4 col-md-6">
                        <div
                            class="blog-box"
                            data-aos="fade-up"
                            data-aos-duration="1000"
                            data-aos-anchor-placement="center-bottom"
                        >
                            <div class="img-box">
                                <img src="{{getFile(config('location.blog.path').'thumb_'.$blog->image)}}" class="img-fluid" alt="@lang('blog thumb')" />
                            </div>
                            <div class="text-box">
                                <div class="date-author">
                                    <span><i class="fal fa-calendar-alt"></i> {{dateTime($blog->created_at,'d M, Y')}}</span>
                                    <span><i class="fal fa-user-circle"></i> @lang(optional($blog->details)->author)</span>
                                </div>
                                <h5 class="title">@lang(\Illuminate\Support\Str::limit(optional($blog->details)->title,34))</p>
                                <a href="{{route('blogDetails',[slug(optional($blog->details)->title), $blog->id])}}" class="btn-custom">
                                    @lang('Read More')
                                </a>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </section>
@endif
@endif
<!-- /BLOG -->

