@extends($theme.'layouts.user')
@section('title',trans('Dashboard'))

@section('content')

    <!-- main -->
    <div class="container-fluid user-dashboard">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('Dashboard')</h2>
            </div>
            <div class="col-12">

                <!-- quick links -->
                <div class="d-lg-none">
                    <div class="quick-links">
                        <div class="row g-2 g-lg-4">

                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.my.advertise.store')}}">
                                    <a href="{{route('user.my.advertise.store')}}">
                                        <i class="fal fa-ad"></i>
                                        <h5>@lang("My Ads")</h5>
                                    </a>
                                </div>
                            </div>


                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.all.click.earnings')}}">
                                    <a href="{{route('user.all.click.earnings')}}">
                                        <i class="fa fa-hand-holding-usd"></i>
                                        <h5>@lang("Ads Earning")</h5>
                                    </a>
                                </div>
                            </div>

                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('plan')}}">
                                    <a href="{{route('plan')}}">
                                        <i class="fal fa-chart-bar"></i>
                                        <h5>@lang("Plan")</h5>
                                    </a>
                                </div>
                            </div>

                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive(['user.payout.money','user.payout.preview'])}}">
                                    <a href="{{route('user.payout.money')}}">
                                        <i class="fal fa-hand-holding-usd"></i>
                                        <h5>@lang("Withdraw")</h5>
                                    </a>
                                </div>
                            </div>

                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.money-transfer')}}">
                                    <a href="{{route('user.money-transfer')}}">
                                        <i class="fal fa-sack-dollar"></i>
                                        <h5>@lang("Transfer")</h5>
                                    </a>
                                </div>
                            </div>

                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.referral')}}">
                                    <a href="{{route('user.referral')}}">
                                        <i class="fas fal fa-users"></i>
                                        <h5>@lang("Referral")</h5>
                                    </a>
                                </div>
                            </div>


                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.ticket.list')}}">
                                    <a href="{{route('user.ticket.list')}}">
                                        <i class="fal fa-user-headset"></i>
                                        <h5>@lang("Support")</h5>
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.profile')}}">
                                    <a href="{{route('user.profile')}}">
                                        <i class="fal fa-user-cog"></i>
                                        <h5>@lang("Settings")</h5>
                                    </a>
                                </div>
                            </div>

                            <div class="d-sm-none d-block col-md-3 col-4 col-sm-3">
                                <div class="link-item {{menuActive('user.twostep.security')}}">
                                    <a href="{{route('user.twostep.security')}}">
                                        <i class="fal fa-lock"></i>
                                        <h5>@lang("2FA")</h5>
                                    </a>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <!-- card boxes without slider -->
                <div class="d-none d-lg-block">
                    <div class="row g-4 mb-4">
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box">
                                <h5>@lang('Main Balance')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($walletBalance, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-sack-dollar"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Total Referral Bonus')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refDepositBonus + $refPlanPurchaseBonus + $refPTCBonus, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-gift"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-2">
                                <h5>@lang('Total Deposit')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($totalDeposit, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-file-invoice-dollar"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Total Payout')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($totalPayout, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-hand-holding-usd"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box">
                                <h5>@lang('Current Plan')</h5>
                                @if($user->plan)
                                    <span class="d-block mb-1">
                                    {{ __(optional(optional($user->plan)->details)->name . ' Plan') }}
                                        @if($user->validity_date < now())
                                            <span class="text-danger">(@lang('Expired'))</span>
                                            <a href="{{route('plan')}}" target="_blank" class="d-block mt-1">
                                            <span class="badge bg-primary indegoTextColor">@lang('Purchase Plan')</span>
                                        </a>
                                        @endif
                                </span>
                                @else
                                    <span class="d-block mb-1">@lang('No Plan Yet')</span>
                                    <a href="{{route('plan')}}" target="_blank">
                                        <span class="badge bg-primary indegoTextColor">@lang('Purchase Plan')</span>
                                    </a>
                                @endif

                                @if($user->validity_date && $user->validity_date >= now())
                                    <small class="text-danger">
                                        @lang('Expire in') {{ dateTime($user->validity_date, 'd M Y, h:i A') }}
                                    </small>
                                @endif
                                <i class="far fa-cubes"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Total Advertisement View')</h5>
                                <h3>{{$ptcView['totalClicks']}}</h3>
                                <i class="fal fa-bullseye-pointer"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Today Advertisement View')</h5>
                                <h3>{{$ptcView['todayClicks']}}</h3>
                                <i class="fal fa-bullseye-pointer"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Remaining Ads View For Today')</h5>
                                <h3>{{$remainingClicksForToday}}</h3>
                                <i class="fal fa-bullseye-pointer"></i>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- card boxes with slider -->
                <div class="d-lg-none my-4">
                    <div class="row g--4 g-0 card-box-wrapper owl-carousel card-boxes">
                        <div class="dashboard-box">
                            <h5>@lang('Main Balance')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($walletBalance, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-sack-dollar"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Total Referral Bonus')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refDepositBonus + $refPlanPurchaseBonus + $refPTCBonus, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-gift"></i>
                        </div>
                        <div class="dashboard-box box-2">
                            <h5>@lang('Total Deposit')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($totalDeposit, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-file-invoice-dollar"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Total Payout')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($totalPayout, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-hand-holding-usd"></i>
                        </div>
                        <div class="dashboard-box">
                            <h5>@lang('Current Plan')</h5>
                            @if($user->plan)
                                <span class="d-block mb-1">
                                {{ __(optional(optional($user->plan)->details)->name . ' Plan') }}
                                    @if($user->validity_date < now())
                                        <span class="text-danger">(@lang('Expired'))</span>
                                        <a href="{{route('plan')}}" target="_blank" class="d-block mt-1">
                                        <span class="badge bg-primary indegoTextColor">@lang('Purchase Plan')</span>
                                    </a>
                                    @endif
                            </span>
                            @else
                                <span class="d-block mb-1">@lang('No Plan Yet')</span>
                                <a href="{{route('plan')}}" target="_blank">
                                    <span class="badge bg-primary indegoTextColor">@lang('Purchase Plan')</span>
                                </a>
                            @endif

                            @if($user->validity_date  && $user->validity_date >= now())
                                <small class="text-danger">
                                    @lang('Expire in') {{ dateTime($user->validity_date, 'd M Y, h:i A') }}
                                </small>
                            @endif
                            <i class="far fa-cubes"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Total Advertisement View')</h5>
                            <h3>{{$ptcView['totalClicks']}}</h3>
                            <i class="fal fa-bullseye-pointer"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Today Advertisement View')</h5>
                            <h3>{{$ptcView['todayClicks']}}</h3>
                            <i class="fal fa-bullseye-pointer"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Remaining Ads View For Today')</h5>
                            <h3>{{$remainingClicksForToday}}</h3>
                            <i class="fal fa-bullseye-pointer"></i>
                        </div>
                    </div>
                </div>

                <!-- Chart -->
                <div class="row mt-5">
                    <div class="col-xl-7 chart-information d-none d-lg-block">
                        <div class="progress-wrapper  bgGateway">
                            <h4>@lang("This Year's Summary")</h4>
                            <div
                                id="container"
                                class="apexcharts-canvas theme-color"
                            ></div>
                        </div>
                    </div>

                    <div class="col-xl-5 chart-information">
                        <div class="progress-wrapper">
                            <h4>@lang('My Advertisement View Statistics')</h4>
                            <div class="chart">
                                <canvas id="myChart1"></canvas>
                                <img src="{{getFile(config('location.logoIcon.path').'logo.png')}}"
                                     alt="{{config('basic.site_title')}}" class="logo d-none d-lg-block"/>
                            </div>
                        </div>
                    </div>
                </div>


                <!-- Advertisement Summary -->
                <h4 class="text-center mb-0 mt-2">@lang('My Advertisement Summary')</h4>
                <!-- advertisement summary without slider -->
                <div class="d-none d-lg-block">
                    <div class="row g-4 py-4">
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Available Advertisement')</h5>
                                <h3>{{$ads['totalAvailableAds']}}</h3>
                                <i class="fas fa-ad"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Total')</h5>
                                <h3>{{$ads['totalAds']}}</h3>
                                <i class="fal fa-ad"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Active')</h5>
                                <h3>{{$ads['activeAds']}}</h3>
                                <i class="fal fa-ad"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Deactivated')</h5>
                                <h3>{{$ads['deactiveAds']}}</h3>
                                <i class="fal fa-ad"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Pending')</h5>
                                <h3>{{$ads['pendingAds']}}</h3>
                                <i class="fal fa-ad"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Rejected')</h5>
                                <h3>{{$ads['rejectedAds']}}</h3>
                                <i class="fal fa-ad"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Max View Limit Exceeded Ads')</h5>
                                <h3>{{$ads['maxViewLimitExAds']}}</h3>
                                <i class="fal fa-ad"></i>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- advertisement summary with slider -->
                <div class="d-lg-none my-4">
                    <div class="row g--4 g-0 card-box-wrapper owl-carousel card-boxes">
                        <div class="dashboard-box box-4">
                            <h5>@lang('Available Advertisement')</h5>
                            <h3>{{$ads['totalAvailableAds']}}</h3>
                            <i class="fas fa-ad"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Total')</h5>
                            <h3>{{$ads['totalAds']}}</h3>
                            <i class="fal fa-ad"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Active')</h5>
                            <h3>{{$ads['activeAds']}}</h3>
                            <i class="fal fa-ad"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Deactivated')</h5>
                            <h3>{{$ads['deactiveAds']}}</h3>
                            <i class="fal fa-ad"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Pending')</h5>
                            <h3>{{$ads['pendingAds']}}</h3>
                            <i class="fal fa-ad"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Rejected')</h5>
                            <h3>{{$ads['rejectedAds']}}</h3>
                            <i class="fal fa-ad"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Max View Limit Exceeded Ads')</h5>
                            <h3>{{$ads['maxViewLimitExAds']}}</h3>
                            <i class="fal fa-ad"></i>
                        </div>
                    </div>
                </div>

                <!-- Referral Summary -->
                <h4 class="text-center mb-0 mt-2">@lang('My Referral Bonus Statistics')</h4>
                <!-- referral statistics without slider -->
                <div class="d-none d-lg-blcok">
                    <div class="row g-4 py-4">
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Total Referral Bonus')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refDepositBonus + $refPlanPurchaseBonus + $refPTCBonus, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-gift"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Deposit Referral Bonus')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refDepositBonus, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-gift"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Purchased Plan Referral Bonus')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refPlanPurchaseBonus, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-gift"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Ads View Referral Bonus')</h5>
                                <h3>
                                    <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refPTCBonus, config('basic.fraction_number'))}}
                                </h3>
                                <i class="fal fa-gift"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('My Referral Team Member')</h5>
                                <h3>{{$countTeamMember}}</h3>
                                <i class="fal fa-people-arrows"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Last Referral Bonus')</h5>
                                <h3><sup>{{trans(config('basic.currency_symbol'))}}</sup>{{$lastReferralBonus}}</h3>
                                <i class="fal fa-gift"></i>
                            </div>
                        </div>
                        <div class="col-xl-3 col-md-6">
                            <div class="dashboard-box box-4">
                                <h5>@lang('Total Support Ticket')</h5>
                                <h3>{{$ticket}}</h3>
                                <i class="fal fa-user-headset"></i>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- referral statistics with slider -->
                <div class="d-lg-none my-4">
                    <div class="row g--4 g-0 card-box-wrapper owl-carousel card-boxes">
                        <div class="dashboard-box box-4">
                            <h5>@lang('Total Referral Bonus')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refDepositBonus + $refPlanPurchaseBonus + $refPTCBonus, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-gift"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Deposit Referral Bonus')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refDepositBonus, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-gift"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Purchased Plan Referral Bonus')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refPlanPurchaseBonus, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-gift"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Ads View Referral Bonus')</h5>
                            <h3>
                                <sup>{{trans(config('basic.currency_symbol'))}}</sup>{{getAmount($refPTCBonus, config('basic.fraction_number'))}}
                            </h3>
                            <i class="fal fa-gift"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('My Referral Team Member')</h5>
                            <h3>{{$countTeamMember}}</h3>
                            <i class="fal fa-people-arrows"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Last Referral Bonus')</h5>
                            <h3><sup>{{trans(config('basic.currency_symbol'))}}</sup>{{$lastReferralBonus}}</h3>
                            <i class="fal fa-gift"></i>
                        </div>
                        <div class="dashboard-box box-4">
                            <h5>@lang('Total Support Ticket')</h5>
                            <h3>{{$ticket}}</h3>
                            <i class="fal fa-user-headset"></i>
                        </div>
                    </div>
                </div>


                <!-- Referral Link -->
                <div class="row g-4 my-4">
                    <div class="col-xl-{{($latestRegisteredUser) ? '6':'12'}}">
                        <div class="dashboard-box">
                            <h5>@lang('Referral Link')</h5>
                            <form>
                                <div class="input-group input-box mt-2">
                                    <input type="text" class="form-control"
                                           value="{{route('register.sponsor',[Auth::user()->username])}}"
                                           id="sponsorURL" readonly>
                                    <span class="input-group-text copytext gradientBg border-0" id="copyBoard"
                                          onclick="copyFunction()">
                                    <i class="fa fa-copy pe-1"></i> @lang('Copy Link')
                                </span>
                                </div>
                            </form>
                        </div>
                    </div>

                    @if($latestRegisteredUser)
                        <div class="col-xl-6 col-md-6">
                            <div class="dashboard-box">
                                <h5>@lang('Latest Registered Partner')</h5>
                                <h6>
                                    <span
                                        class="mb-1 d-block">@lang('Username'): {{$latestRegisteredUser->username}}.</span>
                                    <span>@lang('Email'): {{$latestRegisteredUser->email}}</span>
                                </h6>
                                <i class="far fa-handshake"></i>
                            </div>
                        </div>
                    @endif
                </div>


            </div>
        </div>
    </div>


@endsection


@push('script')
    <script src="{{asset($themeTrue.'js/apexcharts.js')}}"></script>
    <script src="{{asset($themeTrue.'js/chart.min.js')}}"></script>

    <script>
        "use strict";

        // Yearly Summary
        var options = {
            theme: {
                mode: 'light',
            },

            series: [
                {
                    name: "{{trans('Deposit')}}",
                    color: '#2bc48b',
                    data: {!! $monthly['monthlyFunding']->flatten() !!}
                },
                {
                    name: "{{trans('Payout')}}",
                    color: 'rgba(240, 16, 16, 1)',
                    data: {!! $monthly['monthlyPayout']->flatten() !!}
                },
                {
                    name: "{{trans('Created Ads Cost')}}",
                    color: 'rgba(39, 144, 195, 1)',
                    data: {!! $monthly['monthlyCreatedAds']->flatten() !!}
                },
                {
                    name: "{{trans('Ads View Earning')}}",
                    color: '#ff4b82',
                    data: {!! $monthly['monthlyAdsViewEarning']->flatten() !!}
                },
                {
                    name: "{{trans('Deposit Referral Bonus')}}",
                    color: '#3f3a64',
                    data: {!! $monthly['monthlyDepositReferralBonus']->flatten() !!}
                },
                {
                    name: "{{trans('Plan Purchased Referral Bonus')}}",
                    color: 'rgba(247, 147, 26, 1)',
                    data: {!! $monthly['monthlyPlanPurchaseReferralBonus']->flatten() !!}
                },
                {
                    name: "{{trans('Ads View Referral Bonus')}}",
                    color: '#6f42c1',
                    data: {!! $monthly['monthlyAdsViewReferralBonus']->flatten() !!}
                }
            ],
            chart: {
                type: 'bar',
                // height: ini,
                background: '#fff',
                toolbar: {
                    show: false
                }

            },
            plotOptions: {
                bar: {
                    horizontal: false,
                    columnWidth: '55%',
                    endingShape: 'rounded'
                },
            },
            dataLabels: {
                enabled: false
            },
            stroke: {
                show: true,
                width: 1,
                colors: ['transparent']
            },
            xaxis: {
                categories: {!! $monthly['monthlyAdsViewReferralBonus']->keys() !!},
            },
            yaxis: {
                title: {
                    text: ""
                }
            },
            fill: {
                opacity: 1
            },
            tooltip: {
                colors: ['#000'],
                y: {
                    formatter: function (val) {
                        return "{{trans($basic->currency_symbol)}}" + val + ""
                    }
                }
            }
        };

        var chart = new ApexCharts(document.querySelector("#container"), options);
        chart.render();


        // donut chart
        var totalClicks = "{{ $ptcView['totalClicks'] }}";
        var todayClicks = "{{ $ptcView['todayClicks'] }}";
        var remainingClicksForToday = "{{ $remainingClicksForToday }}";
        if (totalClicks == 0) {
            var noAuction = 0.01;
        }

        const data = {
            labels: ["Total Created Advertisement", "Today Advertisement View", "Remaining Ads View For Today"],
            datasets: [
                {
                    label: "My First Dataset",
                    data: [totalClicks, todayClicks, remainingClicksForToday],
                    backgroundColor: ["#ff4b82", "#ff9f40", "#A3CB38"],
                    // hoverOffset: 4,
                },
            ],
        };
        const config = {
            type: "doughnut",
            data: data,
            options: {
                responsive: true,
                aspectRatio: 1.1,
                plugins: {
                    legend: {
                        position: "bottom",
                    },
                    title: {
                        display: false,
                        text: "Chart.js Doughnut Chart",
                    },
                },
            },
        };

        const myChart1 = new Chart(document.getElementById("myChart1"), config);


        function copyFunction() {
            var copyText = document.getElementById("sponsorURL");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            /*For mobile devices*/
            document.execCommand("copy");
            Notiflix.Notify.Success(`Copied: ${copyText.value}`);
        }
    </script>
@endpush
