@extends($theme.'layouts.user')
@section('title')
    @lang('Fund Transfer')
@endsection

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('Fund Transfer')</h2>
            </div>
            <div class="profile-setting col-12">
                <div class="edit-area">
                    <form action="" method="post" enctype="multipart/form-data">
                        @csrf
                        <div class="row g-4">
                            <div class="input-box col-md-12">
                                <label for="email">@lang('Receiver Email Address') <span class="text-danger">*</span></label>
                                <input type="email" name="email" class="form-control" value="{{ old('email') }}"  placeholder="@lang('Receiver Email Address')" id="email"/>
                                @error('email')
                                    <span class="text-danger">@lang($message)</span>
                                @enderror
                            </div>

                            <div class="input-box col-md-12">
                                <label for="amount">
                                    @lang('Transfer Amount') <span class="text-danger">*</span> <small class="text-danger">( @lang('Charge'): {{ getAmount($basic->transfer_charge) }}% )</small>
                                </label>
                                <div class="input-group">
                                    <input type="text" name="amount" class="form-control" value="{{ old('amount') }}"  placeholder="@lang('Enter Transfer Amount')" id="amount" onkeyup="this.value = this.value.replace (/^\.|[^\d\.]/g, '')"/>
                                    <span class="input-group-text gradientBg border-0">{{$basic->currency}}</span>
                                </div>
                                <span class="text-danger finalAmount"></span>
                                @error('amount')
                                    <span class="text-danger">@lang($message)</span>
                                @enderror
                            </div>

                            <div class="input-box col-md-12">
                                <label for="password">@lang('Your Password') <span class="text-danger">*</span></label>
                                <input type="password" name="password" class="form-control" value="{{ old('password') }}"  placeholder="@lang('Enter Your Password')" id="password"/>
                                @error('password')
                                    <span class="text-danger">@lang($message)</span>
                                @enderror
                            </div>

                            <div class="input-box col-12">
                                <button type="submit" class="btn-custom w-100">@lang('submit')</button>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection


@push('script')
    <script>
        "use strict";
        $('input[name=amount]').on('input',function(){
            var mainAmount = parseFloat($(this).val());
            var chargePercentage = "{{ $basic->transfer_charge }}";
            var currency = "{{ $basic->currency }}";
            var totalAmountWithCharge = mainAmount + (mainAmount * chargePercentage) / 100;
            $('.finalAmount').text(`${totalAmountWithCharge} ${currency} will be deducted from your account.`);
        });
    </script>

    @if ($errors->any())
        @php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        @endphp

        <script>
            "use strict";
            @foreach ($errors as $error)
                Notiflix.Notify.Failure("{{trans($error)}}");
            @endforeach
        </script>
    @endif
@endpush
