@extends($theme.'layouts.user')
@section('title')
    @lang('All Advertisement')
@endsection

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('All Advertisement')</h2>
                @if ($siteConfigure->user_ads_status == 1)
                    <a href="{{ route('user.create.advertise') }}" class="btn-custom">
                        <i class="far fa-plus-circle"></i>@lang('Create Advertise')
                    </a>
                @endif
            </div>

            <div class="col-12">
                <section class="advertisement-section">
                    <div class="row g-4">
                        @forelse ($activeAds as $data)
                            <div class="col-lg-3 col-md-6">
                                <div class="box">
                                    <h4>@lang($data->ads_name)</h4>
                                    <div class="d-flex justify-content-between">
                                        <div>
                                            <p>@lang('ads duration:') {{$data->ads_duration}}{{ __('s') }}</p>
                                        </div>
                                        <button class="previewAd">
                                            @if($data->ads_type == 1)
                                                <span class="badge bg-primary adCategory"
                                                    data-adlink="{{ $data->ads_body }}"
                                                    data-adtype="{{ $data->ads_type }}"
                                                >
                                                    @lang('URL/Link')
                                                </span>
                                            @elseif($data->ads_type == 2)
                                                <span class="badge bg-danger adCategory"
                                                    data-adlink="{{ $data->ads_body }}"
                                                    data-adtype="{{ $data->ads_type }}"
                                                >
                                                    @lang('Youtube Embeded Link')
                                                </span>
                                            @elseif($data->ads_type == 3)
                                                <span class="badge bg-secondary adCategory"
                                                    data-adlink="{{ $data->ads_body }}"
                                                    data-adtype="{{ $data->ads_type }}"
                                                >
                                                    @lang('Picture/Banner')
                                                </span>
                                            @elseif($data->ads_type == 4)
                                                <span class="badge bg-info adCategory"
                                                    data-adlink="{{ $data->ads_body }}"
                                                    data-adtype="{{ $data->ads_type }}"
                                                >
                                                    @lang('Code/Script')
                                                </span>
                                            @endif
                                        </button>
                                    </div>
                                    <div class="d-flex justify-content-between align-items-end">
                                        @if(auth()->user()->plan_id == 0 || !auth()->user()->plan_id)
                                            <a href="javascript:void(0)"
                                                class="viewAdModal btn-custom btn-custom-sm"
                                                data-modaltext="@lang('Opps! You have no plan.') <br> @lang('Kindly purchase a plan first.')"
                                            >
                                                <i class="fa fa-eye"></i>@lang('View')
                                            </a>
                                        @elseif (auth()->user()->validity_date < now())
                                            <a href="javascript:void(0)"
                                                class="viewAdModal btn-custom btn-custom-sm"
                                                data-modaltext="@lang('Opps! Your membership of plan has been expired. Kindly renew your plan.')"
                                            >
                                                <i class="fa fa-eye"></i>@lang('View')
                                            </a>
                                        @elseif (auth()->user()->id == $data->user_id)
                                            <a href="javascript:void(0)"
                                                class="viewAdModal btn-custom btn-custom-sm"
                                                data-modaltext="@lang('Sorry! You are unable to view your own advertisement.')"
                                                data-noplanbutton="noPlanButton"
                                            >
                                                <i class="fa fa-eye"></i>@lang('View')
                                            </a>
                                        @elseif ($todayViewAdsCount >= auth()->user()->daily_ad_limit)
                                            <a href="javascript:void(0)"
                                                class="viewAdModal btn-custom btn-custom-sm"
                                                data-modaltext="@lang('Opps! You have exceeded the daily advertisement view limit.')"
                                                data-noplanbutton="noPlanButton"
                                            >
                                                <i class="fa fa-eye"></i>@lang('View')
                                            </a>
                                        @elseif ($data->today_ptc_view_count > 0)
                                            <a href="javascript:void(0)"
                                                class="viewAdModal btn-custom btn-custom-sm"
                                                data-modaltext="@lang('You have already viewed this Ad today.')<br>
                                                @lang("Can't view this Ad again before 24 hours.")"
                                                data-noplanbutton="noPlanButton"
                                            >
                                                <i class="fa fa-eye"></i>@lang('View')
                                            </a>
                                        @else
                                            <a href="{{ route('user.advertise.view',encrypt($data->id.'|'.auth()->id())) }}"
                                                target="_blank"
                                                class="btn-custom btn-custom-sm">
                                                <i class="fa fa-eye"></i>@lang('View')
                                            </a>
                                        @endif
                                        <h4 class="price mb-0">@lang($basic->currency_symbol){{getAmount($data->user_amount)}}</h4>
                                    </div>
                                </div>
                            </div>
                        @empty
                            <h4 class="p-5 text-danger text-center">
                                @lang('Sorry! No advertisement available at this moment')
                            </h4>
                        @endforelse

                    </div>

                    {{ $activeAds->appends($_GET)->links($theme.'partials.pagination') }}

                </section>

            </div>
        </div>
    </div>

    <!-- Preview Modal -->
    <div id="adPreview" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title method-name" id="editModalLabel">@lang('Preview Advertisement')</h4>
                    <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times"></i>
                    </button>
                </div>

                <div class="modal-body">
                    <iframe src=""
                        title="@lang('iframe ad preview')"
                        class="iframeAdView preview-type type-1 d-none"
                    >
                    </iframe>
                    <div class="youtubeEmbedLink preview-type type-2 d-none"></div>
                    <img src="" class="imgAdPreview preview-type type-3 d-none" width="768px" height="512px" alt="@lang('img ad preview')">
                    <div class="scriptPreview preview-type type-4 d-none"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal">@lang('Close')</button>
                </div>

            </div>
        </div>
    </div>


    <!-- View Advertisement Error Modal -->
    <div id="viewAdErrorModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <h4 class="modalBodyText pt-3 text-center"></h4>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal">@lang('Close')</button>
                    <a href="{{route('plan')}}" class="btn-custom purchasePlan">@lang('Purchase Plan')</a>
                </div>

            </div>
        </div>
    </div>

@endsection

@push('css-lib')
    <link rel="stylesheet" href="{{asset($themeTrue.'css/highlight.min.css')}}"/>
@endpush
@push('script')
    <script src="{{asset($themeTrue.'js/highlight.min.js')}}"></script>
@endpush

@push('script')
    <script>
        "use strict";
        (function($){
            $(document).on('click','.adCategory', function() {
                var adLink = $(this).data('adlink');
                var adType = $(this).data('adtype');

                var modal = $('#adPreview');

                if (adType == 1) {
                    modal.find(`.type-${adType}`).attr('src', adLink);
                }
                else if(adType == 2){
                    modal.find(`.type-${adType}`).html(`${adLink}`);
                    $("div.youtubeEmbedLink").find("iframe").height('450px');
                    $("div.youtubeEmbedLink").find("iframe").width('100%');
                }
                else if(adType == 3){
                    var imgPath = "{{asset(config('location.advertisement.path'))}}"
                    var imgLink = imgPath+'/'+`${adLink}`;
                    modal.find(`.type-${adType}`).attr('src', imgLink);
                }
                else if(adType == 4){
                    modal.find(`.type-${adType}`).html(`<pre><code class='p-4'>${adLink}</code></pre>`);
                    document.querySelectorAll(`.type-${adType} pre code`).forEach(el => {
                        hljs.highlightElement(el);
                    });
                }

                $(`.type-${adType}`).removeClass('d-none');
                $(".preview-type").not(`.type-${adType}`).addClass('d-none');

                modal.modal('show');
            });


            $(document).on('click', '.viewAdModal', function() {
                var modalText = $(this).data('modaltext');
                var noPlanButton = $(this).data('noplanbutton');
                var modal = $('#viewAdErrorModal');
                modal.find('.modalBodyText').html(modalText);
                if (noPlanButton == 'noPlanButton') {
                    modal.find('.purchasePlan').addClass('d-none');
                }else{
                    modal.find('.purchasePlan').removeClass('d-none');
                }
                modal.modal('show');
            });

        })(jQuery);
    </script>

    @if ($errors->any())
        @php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        @endphp

        <script>
            "use strict";
            @foreach ($errors as $error)
                Notiflix.Notify.Failure("{{trans($error)}}");
            @endforeach
        </script>
    @endif

@endpush
