@extends($theme.'layouts.user')
@section('title')
    @lang('Click Earnings List')
@endsection

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('Click Earnings List')</h2>
                <a href="{{ route('user.all.advertise') }}" class="btn-custom">
                    <i class="far fa-list"></i>@lang('All Advertise List')
                </a>
            </div>

            <div class="col-md-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="{{ route('user.search.click.earnings') }}" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="ads_name" value="{{old('ads_name',@request()->ads_name)}}" class="form-control" placeholder="@lang('Search by Advertisement Name')">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="ads_type" class="form-select" aria-label="Default select example">
                                    <option value="">@lang('Advertisement Type')</option>
                                    <option value="1"
                                            @if(@request()->ads_type == '1') selected @endif>@lang('URL/Link')</option>
                                    <option value="2"
                                            @if(@request()->ads_type == '2') selected @endif>@lang('Youtube Embeded Link')</option>
                                    <option value="3"
                                            @if(@request()->ads_type == '3') selected @endif>@lang('Picture/Banner')</option>
                                    <option value="4"
                                            @if(@request()->ads_type == '4') selected @endif>@lang('Code/Script')</option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="date_time" value="{{old('date_time',@request()->date_time)}}"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                </div>

                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col">@lang('SL No.')</th>
                                <th scope="col">@lang('Advertisement Name')</th>
                                <th scope="col">@lang('Advertisement Type')</th>
                                <th scope="col">@lang('Earn Amount')</th>
                                <th scope="col">@lang('Date-Time')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($earnFromAd as $key => $item)
                                <tr>
                                    <td data-label="@lang('SL No.')">{{++$key}}</td>
                                    <td data-label="@lang('Advertisement Name')">
                                        @lang(Illuminate\Support\Str::limit((optional($item->advertisement)->ads_name),30))
                                    </td>
                                    <td data-label="@lang('Advertisement Type')">
                                        <button class="previewAd">
                                            @if(optional($item->advertisement)->ads_type == 1)
                                                <span class="badge bg-primary adCategory"
                                                    data-adlink="{{ optional($item->advertisement)->ads_body }}"
                                                    data-adtype="{{ optional($item->advertisement)->ads_type }}"
                                                >
                                                    @lang('URL/Link')
                                                </span>
                                            @elseif(optional($item->advertisement)->ads_type == 2)
                                                <span class="badge bg-danger adCategory"
                                                    data-adlink="{{ optional($item->advertisement)->ads_body }}"
                                                    data-adtype="{{ optional($item->advertisement)->ads_type }}"
                                                >
                                                    @lang('Youtube Embeded Link')
                                                </span>
                                            @elseif(optional($item->advertisement)->ads_type == 3)
                                                <span class="badge bg-secondary adCategory"
                                                    data-adlink="{{ optional($item->advertisement)->ads_body }}"
                                                    data-adtype="{{ optional($item->advertisement)->ads_type }}"
                                                >
                                                    @lang('Picture/Banner')
                                                </span>
                                            @elseif(optional($item->advertisement)->ads_type == 4)
                                                <span class="badge bg-info adCategory"
                                                    data-adlink="{{ optional($item->advertisement)->ads_body }}"
                                                    data-adtype="{{ optional($item->advertisement)->ads_type }}"
                                                >
                                                    @lang('Code/Script')
                                                </span>
                                            @endif
                                        </button>
                                    </td>
                                    <td data-label="@lang('Earn Amount')">{{getAmount($item->amount)}} @lang($basic->currency)</td>
                                    <td data-label="@lang('Date-Time')">
                                        {{ dateTime($item->created_at, 'd M Y h:i A') }}
                                    </td>

                                </tr>
                            @empty
                                <tr class="text-center">
                                    <td colspan="100%">{{trans('No Data Found!')}}</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div> <!-- table -->

                {{ $earnFromAd->appends($_GET)->links($theme.'partials.pagination') }}

            </div>

        </div>
    </div>

    <!-- Preview Modal -->
    <div id="adPreview" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title method-name" id="editModalLabel">@lang('Preview Advertisement')</h4>
                    <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times"></i>
                    </button>
                </div>

                <div class="modal-body">
                    <iframe src=""
                        title="@lang('iframe ad preview')"
                        class="iframeAdView preview-type type-1 d-none"
                    >
                    </iframe>
                    <div class="youtubeEmbedLink preview-type type-2 d-none"></div>
                    <img src="" class="imgAdPreview preview-type type-3 d-none" width="768px" height="512px" alt="@lang('img ad preview')">
                    <div class="scriptPreview preview-type type-4 d-none"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal">@lang('Close')</button>
                </div>

            </div>
        </div>
    </div>   
    
    
    @push('loadModal')
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                    <form action="{{ route('user.search.click.earnings') }}" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="ads_name" value="{{old('ads_name',@request()->ads_name)}}" class="form-control" placeholder="@lang('Search by Advertisement Name')">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="ads_type" class="form-select" aria-label="Default select example">
                                    <option value="">@lang('Advertisement Type')</option>
                                    <option value="1"
                                            @if(@request()->ads_type == '1') selected @endif>@lang('URL/Link')</option>
                                    <option value="2"
                                            @if(@request()->ads_type == '2') selected @endif>@lang('Youtube Embeded Link')</option>
                                    <option value="3"
                                            @if(@request()->ads_type == '3') selected @endif>@lang('Picture/Banner')</option>
                                    <option value="4"
                                            @if(@request()->ads_type == '4') selected @endif>@lang('Code/Script')</option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="date_time" value="{{old('date_time',@request()->date_time)}}"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    @endpush

@endsection

@push('css-lib')
    <link rel="stylesheet" href="{{asset($themeTrue.'css/highlight.min.css')}}"/>
@endpush
@push('script')
    <script src="{{asset($themeTrue.'js/highlight.min.js')}}"></script>
@endpush

@push('script')
    <script>
        'use strict';
        (function($){
            $(document).on('click','.adCategory', function() {
                var adLink = $(this).data('adlink');
                var adType = $(this).data('adtype');

                var modal = $('#adPreview');

                if (adType == 1) {
                    modal.find(`.type-${adType}`).attr('src', adLink);
                }
                else if(adType == 2){
                    modal.find(`.type-${adType}`).html(`${adLink}`);
                    $("div.youtubeEmbedLink").find("iframe").height('450px');
                    $("div.youtubeEmbedLink").find("iframe").width('100%');
                }
                else if(adType == 3){
                    var imgPath = "{{asset(config('location.advertisement.path'))}}"
                    var imgLink = imgPath+'/'+`${adLink}`;
                    modal.find(`.type-${adType}`).attr('src', imgLink);
                }
                else if(adType == 4){
                    modal.find(`.type-${adType}`).html(`<pre><code class='p-4'>${adLink}</code></pre>`);
                    document.querySelectorAll(`.type-${adType} pre code`).forEach(el => {
                        hljs.highlightElement(el);
                    });
                }

                $(`.type-${adType}`).removeClass('d-none');
                $(".preview-type").not(`.type-${adType}`).addClass('d-none');

                modal.modal('show');
            });
        })(jQuery);
    </script>
@endpush
