@extends($theme.'layouts.user')
@section('title')
    @lang('My Advertisement')
@endsection

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('My Advertisement')</h2>
                @if ($siteConfigure->user_ads_status == 1)
                    <a href="{{ route('user.create.advertise') }}" class="btn-custom">
                        <i class="far fa-plus-circle"></i>@lang('Create Advertise')
                    </a>
                @endif
            </div>

            <div class="col-md-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="{{ route('user.search.my.advertise') }}" method="get">

                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="ads_name" value="{{old('ads_name',@request()->ads_name)}}" class="form-control" placeholder="@lang('Search by Advertisement Name')">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="ads_type" class="form-select" aria-label="Default select example">
                                    <option value="">@lang('Advertisement Type')</option>
                                    <option value="1"
                                            @if(@request()->ads_type == '1') selected @endif>@lang('URL/Link')</option>
                                    <option value="2"
                                            @if(@request()->ads_type == '2') selected @endif>@lang('Youtube Embeded Link')</option>
                                    <option value="3"
                                            @if(@request()->ads_type == '3') selected @endif>@lang('Picture/Banner')</option>
                                    <option value="4"
                                            @if(@request()->ads_type == '4') selected @endif>@lang('Code/Script')</option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="status" class="form-select" aria-label="Default select example">
                                    <option value="">@lang('All Ads')</option>
                                    <option value="0"
                                            @if(@request()->status == '0') selected @endif>@lang('Deactive Ads')</option>
                                    <option value="1"
                                            @if(@request()->status == '1') selected @endif>@lang('Approved Ads')</option>
                                    <option value="2"
                                            @if(@request()->status == '2') selected @endif>@lang('Pending Ads')</option>
                                    <option value="3"
                                            @if(@request()->status == '3') selected @endif>@lang('Rejected Ads')</option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                </div>

                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col">@lang('Advertisement Name')</th>
                                <th scope="col">@lang('Ads Type')</th>
                                <th scope="col">@lang('Duration')</th>
                                <th scope="col">@lang('Amount')</th>
                                <th scope="col">@lang('Max View')</th>
                                <th scope="col">@lang('Viewed')</th>
                                <th scope="col">@lang('Remaining')</th>
                                <th scope="col">@lang('Status')</th>
                                <th scope="col">@lang('Action')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($myAdvertise as $item)
                                <tr>
                                    <td data-label="@lang('Ads Name')">@lang(Illuminate\Support\Str::limit(($item->ads_name),30))</td>
                                    <td data-label="@lang('Ads Type')">
                                        <button class="previewAd">
                                            @if($item->ads_type == 1)
                                                <span class="badge bg-primary adCategory"
                                                    data-adlink="{{ $item->ads_body }}"
                                                    data-adtype="{{ $item->ads_type }}"
                                                >
                                                    @lang('URL/Link')
                                                </span>
                                            @elseif($item->ads_type == 2)
                                                <span class="badge bg-danger adCategory"
                                                    data-adlink="{{ $item->ads_body }}"
                                                    data-adtype="{{ $item->ads_type }}"
                                                >
                                                    @lang('Youtube Embeded Link')
                                                </span>
                                            @elseif($item->ads_type == 3)
                                                <span class="badge bg-secondary adCategory"
                                                    data-adlink="{{ $item->ads_body }}"
                                                    data-adtype="{{ $item->ads_type }}"
                                                >
                                                    @lang('Picture/Banner')
                                                </span>
                                            @elseif($item->ads_type == 4)
                                                <span class="badge bg-info adCategory"
                                                    data-adlink="{{ $item->ads_body }}"
                                                    data-adtype="{{ $item->ads_type }}"
                                                >
                                                    @lang('Code/Script')
                                                </span>
                                            @endif
                                        </button>
                                    </td>
                                    <td data-label="@lang('Duration')">@lang($item->ads_duration) @lang('Second')</td>
                                    <td data-label="@lang('Amount')">@lang($item->user_amount) @lang($basic->currency)</td>
                                    <td data-label="@lang('Max View')">@lang($item->max_show_limit)</td>
                                    <td data-label="@lang('Viewed')">@lang($item->shown)</td>
                                    <td data-label="@lang('Remaining')">@lang($item->remaining)</td>

                                    <td data-label="@lang('Status')">
                                        @if($item->status == 0)
                                            <span class="badge bg-secondary">@lang('Deactive')</span>
                                        @elseif($item->status == 1)
                                            <span class="badge bg-primary">@lang('Approved')</span>
                                        @elseif($item->status == 2)
                                            <span class="badge bg-warning">@lang('Pending')</span>
                                        @elseif($item->status == 3)
                                            <span class="badge bg-danger">@lang('Rejected')</span>
                                        @endif
                                    </td>
                                    <td class="action">
                                        <div class="sidebar-dropdown-items">
                                            <button
                                                type="button"
                                                class="dropdown-toggle btn gradientBg btn-sm"
                                                data-bs-toggle="dropdown"
                                                aria-expanded="false"
                                            >
                                                <i class="far fa-ellipsis-v"></i>
                                            </button>
                                            <ul class="dropdown-menu dropdown-menu-end">
                                                <li>
                                                    <a href="{{ route('user.edit.my.ad', $item->id) }}" class="dropdown-item">
                                                        <i class="far fa-edit"></i> @lang('Edit')
                                                    </a>
                                                </li>
                                                <li>
                                                    @if($item->status == 1)
                                                        <a href="javascript:void(0)"
                                                            data-route="{{ route('user.ad.status.deactive', $item->id) }}"
                                                            data-text="Are you sure to deactive this?"
                                                            data-bs-toggle="modal"
                                                            data-bs-target="#status-modal"
                                                            class="dropdown-item notiflix-confirm"
                                                        >
                                                            <i class="far fa-ban"></i> @lang('Make Deactive')
                                                        </a>
                                                    @elseif($item->status == 0)
                                                        <a href="javascript:void(0)"
                                                            data-route="{{ route('user.ad.status.active', $item->id) }}"
                                                            data-text="Are you sure to active this?"
                                                            data-bs-toggle="modal"
                                                            data-bs-target="#status-modal"
                                                            class="dropdown-item notiflix-confirm"
                                                        >
                                                            <i class="far fa-check"></i> @lang('Make Active')
                                                        </a>
                                                    @endif
                                                </li>
                                            </ul>
                                        </div>
                                    </td>

                                </tr>
                            @empty
                                <tr class="text-center">
                                    <td colspan="100%">{{trans('No Data Found!')}}</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div> <!-- table -->

                {{ $myAdvertise->appends($_GET)->links($theme.'partials.pagination') }}

            </div>

        </div>
    </div>


    <!-- Preview Modal -->
    <div id="adPreview" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title method-name" id="editModalLabel">@lang('Preview Advertisement')</h4>
                    <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times"></i>
                    </button>
                </div>

                <div class="modal-body">
                    <iframe src=""
                        title="@lang('iframe ad preview')"
                        class="iframeAdView preview-type type-1 d-none"
                    >
                    </iframe>
                    <div class="youtubeEmbedLink preview-type type-2 d-none"></div>
                    <img src="" class="imgAdPreview preview-type type-3 d-none" width="768px" height="512px" alt="@lang('img ad preview')">
                    <div class="scriptPreview preview-type type-4 d-none"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal">@lang('Close')</button>
                </div>

            </div>
        </div>
    </div>


    <!-- Ad Status Active/Deactive Modal -->
    <div id="status-modal" class="modal fade" tabindex="-1" role="dialog"
         aria-labelledby="primary-header-modalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title method-name">@lang('Confirmation!')</h4>
                    <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times"></i>
                    </button>
                </div>

                <div class="modal-body">
                    <p class="action-text"></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal">@lang('Close')</button>
                    <form action="" method="post" class="deactiveAds">
                        @csrf
                        @method('put')
                        <button type="submit" class="btn-custom">@lang('Yes')</button>
                    </form>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    
    @push('loadModal')
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                    <form action="{{ route('user.search.my.advertise') }}" method="get">

                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="ads_name" value="{{old('ads_name',@request()->ads_name)}}" class="form-control" placeholder="@lang('Search by Advertisement Name')">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="ads_type" class="form-select" aria-label="Default select example">
                                    <option value="">@lang('Advertisement Type')</option>
                                    <option value="1"
                                            @if(@request()->ads_type == '1') selected @endif>@lang('URL/Link')</option>
                                    <option value="2"
                                            @if(@request()->ads_type == '2') selected @endif>@lang('Youtube Embeded Link')</option>
                                    <option value="3"
                                            @if(@request()->ads_type == '3') selected @endif>@lang('Picture/Banner')</option>
                                    <option value="4"
                                            @if(@request()->ads_type == '4') selected @endif>@lang('Code/Script')</option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="status" class="form-select" aria-label="Default select example">
                                    <option value="">@lang('All Ads')</option>
                                    <option value="0"
                                            @if(@request()->status == '0') selected @endif>@lang('Deactive Ads')</option>
                                    <option value="1"
                                            @if(@request()->status == '1') selected @endif>@lang('Approved Ads')</option>
                                    <option value="2"
                                            @if(@request()->status == '2') selected @endif>@lang('Pending Ads')</option>
                                    <option value="3"
                                            @if(@request()->status == '3') selected @endif>@lang('Rejected Ads')</option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    @endpush

@endsection


@push('css-lib')
    <link rel="stylesheet" href="{{asset($themeTrue.'css/highlight.min.css')}}"/>
@endpush
@push('script')
    <script src="{{asset($themeTrue.'js/highlight.min.js')}}"></script>
@endpush

@push('script')
    <script>
        'use strict';
        (function($){
            $(document).on('click','.adCategory', function() {
                var adLink = $(this).data('adlink');
                var adType = $(this).data('adtype');

                var modal = $('#adPreview');

                if (adType == 1) {
                    modal.find(`.type-${adType}`).attr('src', adLink);
                }
                else if(adType == 2){
                    modal.find(`.type-${adType}`).html(`${adLink}`);
                    $("div.youtubeEmbedLink").find("iframe").height('450px');
                    $("div.youtubeEmbedLink").find("iframe").width('100%');
                }
                else if(adType == 3){
                    var imgPath = "{{asset(config('location.advertisement.path'))}}"
                    var imgLink = imgPath+'/'+`${adLink}`;
                    modal.find(`.type-${adType}`).attr('src', imgLink);
                }
                else if(adType == 4){
                    modal.find(`.type-${adType}`).html(`<pre><code class='p-4'>${adLink}</code></pre>`);
                    document.querySelectorAll(`.type-${adType} pre code`).forEach(el => {
                        hljs.highlightElement(el);
                    });
                }

                $(`.type-${adType}`).removeClass('d-none');
                $(".preview-type").not(`.type-${adType}`).addClass('d-none');

                modal.modal('show');
            });
        })(jQuery);

        $(document).on('click', '.notiflix-confirm', function () {
            var route = $(this).data('route');
            var text = $(this).data('text');
            $('.action-text').text(text);
            $('.deactiveAds').attr('action', route);
        });
    </script>
@endpush
