<!DOCTYPE html>
<html class="no-js" lang="en" @if(session()->get('rtl') == 1) dir="rtl" @endif >
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="shortcut icon" href="{{getFile(config('location.logoIcon.path').'favicon.png') }}" type="image/x-icon">
    <title>@lang($basic->site_title) | @lang('View Advertisement')</title>

    <link rel="stylesheet" href="{{asset($themeTrue.'css/bootstrap.min.css')}}"/>
    <link rel="stylesheet" href="{{asset($themeTrue.'css/highlight.min.css')}}"/>
    <link rel="stylesheet" href="{{asset($themeTrue.'css/style.css')}}" />

    <script>
        document.addEventListener('visibilitychange', function() {
            if (document.visibilityState === 'hidden') {
                document.body.innerHTML = `
                       <div class="d-flex justify-content-center align-items-center py-4">
                            <h2 class="text-danger text-center">@lang('You are unable to view this advertisement right now.')
                            <br> @lang('Please stay inside the window.')</h2>
                        </div>
                    `;
            }
        });
    </script>
</head>

<body>
    <div id="topbar">
        <div class="container">
            <div class="row g-4 align-items-center">
                <div class="col-lg-4">
                    <div class="progress">
                        <div id="adViewBar">
                            0%
                        </div>
                    </div>
                </div>
                <div class="col-lg-4"></div>
                <div class="col-lg-4">
                    <form action="" id="confirm-form" method="post">
                        @csrf
                        <div class="text-end d-flex justify-content-end align-items-center">
                            <span id="inputFieldWithCaptcha" class="d-none">
                                <input id="captchaNumber1" name="first_captcha_number" class="inputcaptcha form-control" value="{{ $number1 }}" type="text" readonly>
                                <span>+</span>
                                <input id="captchaNumber2" name="second_captcha_number" class="inputcaptcha form-control" value="{{ $number2 }}" type="text" readonly>
                                <span>=</span>
                                <input type="text" name="sum_captcha_numbers" class="inputcaptcha form-control" id="captcha_sum" onkeyup="this.value = this.value.replace (/^\.|[^\d\.]/g, '')" required>&nbsp;
                            </span>
                            <button type="button" id="confirm" class="btn-custom" disabled>
                                <div class="spinner-border" role="status">
                                </div>
                                <span class="ms-1">@lang('Loading Ad...')</span>
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <div class="advertise-wrapper">
        @if ($ptcAdView->ads_type == 1)
            <iframe src="{{ $ptcAdView->ads_body }}" class="viewAdIframe" title="@lang('iframe ad view')"></iframe>
        @elseif($ptcAdView->ads_type == 2)
            <div class='youtubeIframe'>
                @lang($ptcAdView->ads_body)
            </div>
        @elseif($ptcAdView->ads_type == 3)
            <div class="container py-5">
                <img src="{{ getFile(config('location.advertisement.path').$ptcAdView->ads_body) }}" class="w-100" alt="@lang('img ad view')">
            </div>
        @elseif($ptcAdView->ads_type == 4)
            <div class="container">
                <div class="d-flex justify-content-center py-5">
                    <pre><code class="p-5">{{ $ptcAdView->ads_body }}</code></pre>
                </div>
            </div>
        @endif
    </div>


    <script src="{{asset($themeTrue.'js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('assets/global/js/jquery.min.js') }}"></script>
    <script src="{{asset('assets/global/js/notiflix-aio-2.7.0.min.js')}}"></script>
    <script src="{{asset($themeTrue.'js/highlight.min.js')}}"></script>
    <script>hljs.highlightAll();</script>

    @include($theme.'partials.notification')

    <script>
        "use script";
        function runProgressBar() {
            var progressBarWidth = 0;
            var adViewBarValue = document.getElementById("adViewBar");
            var id = setInterval(captchaCalculation, {{ $ptcAdView->ads_duration * 10 }});

            function captchaCalculation() {
                if (progressBarWidth >= 100) {
                    var confirmSubmitButton = document.getElementById("confirm");
                    confirmSubmitButton.innerHTML = "Confirm Earn";
                    confirmSubmitButton.className = "btn-custom opacityLow";
                    var captchaInputFieldHidden = document.getElementById("inputFieldWithCaptcha");
                    captchaInputFieldHidden.classList.remove("d-none");
                    clearInterval(id);
                } else {
                    progressBarWidth++;
                    adViewBarValue.style.width = progressBarWidth + '%';
                    adViewBarValue.innerHTML = progressBarWidth + '%';
                }
            }
        }
        window.onload = runProgressBar;

        $(document).ready(function() {
            var adType = "{{ $ptcAdView->ads_type }}"
            if (adType == 2) {
                // $("div.youtubeIframe").find("iframe").attr("height", "800px");
                var youtubeSrc = $("div.youtubeIframe").find("iframe").attr('src');
                var makeAutoPlay = youtubeSrc + '?autoplay=1&mute=1';
                $("div.youtubeIframe").find("iframe").attr('src', makeAutoPlay);

                $("div.youtubeIframe").find("iframe").height($(window).height());
                $("div.youtubeIframe").find("iframe").width($(window).width());
            }

            $('#captcha_sum').on('input', function() {
                var valueNumber1 = parseInt($("#captchaNumber1").val());
                var valueNumber2 = parseInt($("#captchaNumber2").val());
                var valSummation = parseInt($("#captcha_sum").val());
                var sum = valueNumber1 + valueNumber2;
                if (sum == valSummation) {
                    var confirmSubmitButton = $("#confirm");
                    confirmSubmitButton.removeAttr('disabled');
                    confirmSubmitButton.removeClass('opacityLow');
                    confirmSubmitButton.attr('type', 'submit');
                    $('#confirm-form').attr('action', '{{ route('user.advertise.view.successful', encrypt($ptcAdView->id.'|'.auth()->user()->id)) }}');
                } else {
                    var confirmSubmitButton = $("#confirm");
                    confirmSubmitButton.attr('disabled', '');
                    confirmSubmitButton.addClass('opacityLow');
                }
            });
        });


        // Disable right-click, Inspect-element
        document.addEventListener('contextmenu', (e) => e.preventDefault());
        function ctrlShiftKey(e, keyCode) {
          return e.ctrlKey && e.shiftKey && e.keyCode === keyCode.charCodeAt(0);
        }
        document.onkeydown = (e) => {
          // Disable F12, Ctrl + Shift + I, Ctrl + Shift + J, Ctrl + U
          if (
            event.keyCode === 123 ||
            ctrlShiftKey(e, 'I') ||
            ctrlShiftKey(e, 'J') ||
            ctrlShiftKey(e, 'C') ||
            (e.ctrlKey && e.keyCode === 'U'.charCodeAt(0))
          )
            return false;
        };

    </script>

    @if ($errors->any())
        @php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        @endphp
        <script>
            "use strict";
            @foreach ($errors as $error)
            Notiflix.Notify.Failure("{{trans($error)}}");
            @endforeach
        </script>
    @endif

</body>
</html>

