@extends($theme.'layouts.user')
@section('title')
    @lang('Referral Bonus')
@endsection

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('Referral Bonus')</h2>
            </div>
            <div class="col-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="{{ route('user.referral.bonus.search') }}" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="search_user" value="{{old('search_user',@request()->search_user)}}" class="form-control" placeholder="@lang('Search By User')">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="text" name="transactionId" value="{{old('transactionId',@request()->transactionId)}}" class="form-control" placeholder="@lang('Search Transaction ID')">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="datetrx" value="{{old('datetrx',@request()->datetrx)}}"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                </div>


                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col">@lang('SL No.')</th>
                                <th scope="col">@lang('Transaction ID')</th>
                                <th scope="col">@lang('Bonus From')</th>
                                <th scope="col">@lang('Amount')</th>
                                <th scope="col">@lang('Final Balance')</th>
                                <th scope="col">@lang('Remarks')</th>
                                <th scope="col">@lang('Date-Time')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($referral_bonus as $key => $bonus)
                            <tr>
                                <td data-label="@lang('SL No.')">{{ ++$key}}</td>
                                <td data-label="@lang('Transaction ID')">@lang($bonus->transaction)</td>
                                <td data-label="@lang('Bonus From')">
                                    <div class="d-flex no-block align-items-center">
                                        <div class="me-2">
                                            <img src="{{getFile(config('location.user.path').optional($bonus->bonusBy)->image) }}" alt="@lang('bonus form')" class="rounded-circle" width="45" height="45">
                                        </div>
                                        <div class="">
                                            <p class="mb-0 font-16 font-weight-medium">
                                                @lang(optional($bonus->bonusBy)->firstname) @lang(optional($bonus->bonusBy)->lastname)
                                            </p>
                                            <span class="text-muted font-14"><span>@</span>@lang(optional($bonus->bonusBy)->username)</span>
                                        </div>
                                    </div>
                                </td>
                                <td data-label="@lang('Amount')">
                                    <span class="fw-bold greenColorText">{{getAmount($bonus->amount, config('basic.fraction_number')). ' ' . trans(config('basic.currency'))}}</span>
                                </td>
                                <td data-label="@lang('Final Balance')">{{ getAmount($bonus->main_balance, config('basic.fraction_number')) }} @lang($basic->currency)</td>
                                <td data-label="@lang('Remarks')">@lang($bonus->remarks)</td>
                                <td data-label="@lang('Date-Time')">
                                    {{ dateTime($bonus->created_at, 'd M Y h:i A') }}
                                </td>
                            </tr>
                            @empty
                                <tr class="text-center">
                                    <td colspan="100%">{{__('No Data Found!')}}</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div> <!-- table -->
                
                {{ $referral_bonus->appends($_GET)->links($theme.'partials.pagination') }}

            </div>
        </div>
    </div>

    @push('loadModal')
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                    <form action="{{ route('user.referral.bonus.search') }}" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="search_user" value="{{old('search_user',@request()->search_user)}}" class="form-control" placeholder="@lang('Search By User')">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="text" name="transactionId" value="{{old('transactionId',@request()->transactionId)}}" class="form-control" placeholder="@lang('Search Transaction ID')">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="datetrx" value="{{old('datetrx',@request()->datetrx)}}"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    @endpush

@endsection

