@extends($theme.'layouts.user')
@section('title',trans($title))

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang($title)</h2>
            </div>
            <div class="col-md-12">
                <!-- search area -->
                <div class="dashboard-box mb-5">
                    <h5>@lang('Referral Link')</h5>
                    <form>
                        <div class="input-group input-box mt-2">
                            <input type="text" class="form-control" value="{{route('register.sponsor',[Auth::user()->username])}}" id="sponsorURL" readonly>
                            <span class="input-group-text copytext gradientBg border-0" id="copyBoard" onclick="copyFunction()">
                                <i class="fa fa-copy pe-1"></i> @lang('Copy Link')
                            </span>
                        </div>
                    </form>
                </div>


                @if(0 < count($referrals))
                <div class="row mt-5">
                    <div class="col-lg-3 col-md-5">
                        <div id="ref-label">
                            <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                                @foreach($referrals as $key => $referral)
                                    <a class="nav-link @if($key == '1')   active  @endif " id="v-pills-{{$key}}-tab" href="javascript:void(0)" data-bs-toggle="pill" data-bs-target="#v-pills-{{$key}}"  role="tab" aria-controls="v-pills-{{$key}}" aria-selected="true">@lang('Level') {{$key}}</a>
                                @endforeach
                            </div>

                         </div>
                    </div>
                    <div class="col-lg-9 col-md-7">
                        
                    <div class="tab-content w-100" id="v-pills-tabContent">
                                @foreach($referrals as $key => $referral)
                                    <div class="tab-pane fade @if($key == '1') show active  @endif " id="v-pills-{{$key}}" role="tabpanel" aria-labelledby="v-pills-{{$key}}-tab">

                                        @if( 0 < count($referral))
                                            <!-- table -->
                                            <div class="table-parent table-responsive">
                                                <table class="table table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th scope="col">@lang('User\'s Name')</th>
                                                            <th scope="col">@lang('Email')</th>
                                                            <th scope="col">@lang('Phone Number')</th>
                                                            <th scope="col">@lang('Upline\'s Name')</th>
                                                            <th scope="col">@lang('Joined At')</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        @forelse($referral as $user)
                                                            <tr>
                                                                <td data-label="@lang('User\'s Name')">
                                                                    <div class="d-flex no-block align-items-center">
                                                                        <div class="me-2">
                                                                            <img src="{{getFile(config('location.user.path').$user->image) }}" alt="@lang('user')" class="rounded-circle" width="45" height="45">
                                                                        </div>
                                                                        <div class="">
                                                                            <p class="mb-0 font-16 font-weight-medium">
                                                                                @lang($user->firstname) @lang($user->lastname)
                                                                            </p>
                                                                            <span class="text-muted font-14"><span>@</span>@lang($user->username)</span>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                                <td data-label="@lang('Email')">{{$user->email}}</td>
                                                                <td data-label="@lang('Phone Number')">
                                                                    {{$user->phone}}
                                                                </td>
                                                                <td data-label="@lang('Upline\'s Name')">
                                                                    @php
                                                                        $upline = $user->myUpline($user->referral_id);
                                                                    @endphp
                                                                    <div class="d-flex no-block align-items-center">
                                                                        <div class="me-2">
                                                                            <img src="{{getFile(config('location.user.path').$upline->image) }}" alt="@lang('user')" class="rounded-circle" width="45" height="45">
                                                                        </div>
                                                                        <div class="">
                                                                            <p class="mb-0 font-16 font-weight-medium">
                                                                                @lang($upline->firstname) @lang($upline->lastname)
                                                                            </p>
                                                                            <span class="text-muted font-14"><span>@</span>@lang($upline->username)</span>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                                <td data-label="@lang('Joined At')">
                                                                    {{dateTime($user->created_at)}}
                                                                </td>
                                                            </tr>
                                                        @empty
                                                            <tr class="text-center">
                                                                <td colspan="100%">{{__('No Data Found!')}}</td>
                                                            </tr>
                                                        @endforelse
                                                    </tbody>
                                                </table>

                                            </div> <!-- table -->
                                        @endif
                                    </div>
                                @endforeach

                            </div>
                    </div>
                </div>
                @endif


            </div>
        </div>
    </div>
@endsection


@push('script')
    <script>
        "use strict";
        function copyFunction() {
            var copyText = document.getElementById("sponsorURL");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            /*For mobile devices*/
            document.execCommand("copy");
            Notiflix.Notify.Success(`Copied: ${copyText.value}`);
        }
    </script>

@endpush
