@extends($theme.'layouts.user')
@section('title',__($page_title))

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0">@lang('Create New Ticket')</h2>
                <a href="{{route('user.ticket.list')}}" class="btn-custom">
                    <i class="fal fa-arrow-left"></i>
                    @lang('Go Back')
                </a>
            </div>

            <div class="profile-setting col-12">
                <div class="edit-area">
                    <form action="{{route('user.ticket.store')}}" method="post" enctype="multipart/form-data">
                        @csrf
                        <div class="row g-4">
                            <div class="input-box col-md-12">
                                <label for="subject">@lang('Subject')</label>
                                <input type="text" name="subject" class="form-control" value="{{old('subject')}}" placeholder="@lang('Enter Subject')"/>
                                @error('subject')
                                    <div class="error text-danger">@lang($message)</div>
                                @enderror
                            </div>

                            <div class="input-box col-md-12">
                                <label for="message">@lang('Message')</label>
                                <textarea class="form-control ticket-box" name="message" cols="30" rows="3" id="textarea1" placeholder="@lang('Enter Message')">{{old('message')}}</textarea>
                                @error('message')
                                    <div class="error text-danger">@lang($message)</div>
                                @enderror
                            </div>

                            <div class="input-box col-md-12">
                                <label for="attachments">@lang('Upload File')</label>
                                <div class="attach-file">
                                    <span class="prev">@lang('Choose file')</span>
                                    <input class="form-control" type="file" name="attachments[]" multiple placeholder="@lang('Upload File')"/>
                                </div>
                                @error('attachments')
                                    <span class="text-danger">@lang($message)</span>
                                @enderror
                            </div>

                            <div class="input-box col-12">
                                <button type="submit" class="btn-custom w-100">@lang('submit')</button>
                            </div>

                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
@endsection


@push('script')
    @if ($errors->any())
        @php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        @endphp

        <script>
            "use strict";
            @foreach ($errors as $error)
                Notiflix.Notify.Failure("{{trans($error)}}");
            @endforeach
        </script>
    @endif
@endpush
