@extends($theme.'layouts.user')
@section('title',__($page_title))

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="col">
                <div class="dashboard-heading">
                    <h2 class="mb-0">@lang($page_title)</h2>
                    <a href="{{route('user.ticket.create')}}" class="btn-custom"><i class="fal fa-plus-circle"></i>
                        @lang('Create Ticket')
                    </a>
                </div>
            </div>

            <div class="col-12">
                <!-- table -->
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col">@lang('Subject')</th>
                                <th scope="col">@lang('Status')</th>
                                <th scope="col">@lang('Last Reply')</th>
                                <th scope="col">@lang('Action')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($tickets as $key => $ticket)
                                <tr>
                                    <td data-label="@lang('Subject')">
                                        [{{ trans('Ticket#').$ticket->ticket }}] {{ $ticket->subject }}
                                    </td>
                                    <td data-label="@lang('Status')">
                                        @if($ticket->status == 0)
                                            <span class="badge bg-warning">@lang('Open')</span>
                                        @elseif($ticket->status == 1)
                                            <span class="badge bg-primary">@lang('Answered')</span>
                                        @elseif($ticket->status == 2)
                                            <span class="badge">@lang('Replied')</span>
                                        @elseif($ticket->status == 3)
                                            <span class="badge bg-danger">@lang('Closed')</span>
                                        @endif
                                    </td>

                                    <td data-label="@lang('Last Reply')">
                                        {{diffForHumans($ticket->last_reply) }}
                                    </td>

                                    <td data-label="@lang('Action')">
                                        <a href="{{ route('user.ticket.view', $ticket->ticket) }}"
                                            class="btn gradientBg btn-sm infoButton"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title="Tooltip on top"
                                        >
                                            <i class="fa fa-eye font13"></i> @lang('View')
                                        </a>
                                    </td>
                                </tr>
                            @empty
                                <tr class="text-center">
                                    <td colspan="100%">{{__('No Data Found!')}}</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>

                </div> <!-- table -->

                {{ $tickets->appends($_GET)->links($theme.'partials.pagination') }}

            </div>
        </div>
    </div>
@endsection
