@extends($theme.'layouts.user')
@section('title')
    @lang('Transaction')
@endsection

@section('content')
    <div class="container-fluid">
        <div class="main row">
            <div class="col">
                <div class="dashboard-heading">
                    <h2 class="mb-0">@lang('All Transaction')</h2>
                </div>
            </div>

            <div class="col-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="{{ route('user.transaction.search') }}" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="transaction_id" value="{{old('transaction_id',@request()->transaction_id)}}" class="form-control" placeholder="@lang('Search by Transaction ID')">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="text" name="remark" value="{{old('remark',@request()->remark)}}" class="form-control" placeholder="@lang('Search by Remark')">
                            </div>


                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="datetrx" value="{{old('datetrx',@request()->datetrx)}}"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                </div>


                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col">@lang('SL No.')</th>
                                <th scope="col">@lang('Transaction ID')</th>
                                <th scope="col">@lang('Amount')</th>
                                <th scope="col">@lang('Charge')</th>
                                <th scope="col">@lang('Final Balance')</th>
                                <th scope="col">@lang('Remarks')</th>
                                <th scope="col">@lang('Date-Time')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse($transactions as $transaction)
                            <tr>
                                <td data-label="@lang('SL No.')">{{loopIndex($transactions) + $loop->index}}</td>
                                <td data-label="@lang('Transaction ID')">@lang($transaction->trx_id)</td>
                                <td data-label="@lang('Amount')">
                                    <span class="fw-bold text-{{($transaction->trx_type == "+" || $transaction->trx_type == "+R") ? 'success': 'danger'}}">
                                        {{($transaction->trx_type == "+" || $transaction->trx_type == "+R") ? '+': '-'}}{{getAmount($transaction->amount). ' ' . trans(config('basic.currency'))}}
                                    </span>
                                </td>
                                <td data-label="@lang('Charge')">@lang($transaction->charge) @lang($basic->currency)</td>
                                <td data-label="@lang('Final Balance')">@lang($transaction->final_balance) @lang($basic->currency)</td>
                                <td data-label="@lang('Remarks')">@lang($transaction->remarks)</td>
                                <td data-label="@lang('Date-Time')">
                                    {{ dateTime($transaction->created_at, 'd M Y h:i A') }}
                                </td>
                            </tr>
                            @empty
                                <tr class="text-center">
                                    <td colspan="100%">{{__('No Data Found!')}}</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>

                </div> <!-- table -->

                {{ $transactions->appends($_GET)->links($theme.'partials.pagination') }}

            </div>
        </div>
    </div>

    @push('loadModal')
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                    <form action="{{ route('user.transaction.search') }}" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="transaction_id" value="{{old('transaction_id',@request()->transaction_id)}}" class="form-control" placeholder="@lang('Search by Transaction ID')">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="text" name="remark" value="{{old('remark',@request()->remark)}}" class="form-control" placeholder="@lang('Search by Remark')">
                            </div>


                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="datetrx" value="{{old('datetrx',@request()->datetrx)}}"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit">@lang('Search')</button>
                            </div>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    @endpush

@endsection

