<?php if(0 < count($plans)): ?>
    <?php if(isset($templates['plan'][0]) && $plan = $templates['plan'][0]): ?>
        <section class="pricing-section">
            <div class="container">
                <?php if(request()->routeIs('home')): ?>
                    <div class="row">
                        <div class="col-12">
                            <div class="header-text text-center">
                                <h5><?php echo app('translator')->get(optional($plan->description)->title); ?></h5>
                                <h2><?php echo app('translator')->get(optional($plan->description)->sub_title); ?></h2>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <div class="row g-4 g-lg-5">
                    <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-4 col-md-6">
                            <div class="pricing-box" data-aos="fade-up" data-aos-duration="1000" data-aos-anchor-placement="center-bottom">
                                <h4><?php echo app('translator')->get(optional($data->details)->name); ?> <?php echo app('translator')->get('Plan'); ?></h4>
                                <?php if($data->price == 0): ?>
                                    <h1><?php echo app('translator')->get('Free'); ?></h1>
                                <?php else: ?>
                                    <h1><?php echo app('translator')->get($basic->currency_symbol ?? '$'); ?><?php echo e(getAmount($data->price)); ?></h1>
                                <?php endif; ?>
                                <p><?php echo app('translator')->get(optional($data->details)->short_title); ?></p>
                                <ul>
                                    <li><i class="fal fa-check-circle text-success"></i><?php echo app('translator')->get('Period'); ?> : <?php echo e($data->validity); ?> <?php echo app('translator')->get('Days'); ?></li>
                                    <li><i class="fal fa-check-circle text-success"></i><?php echo app('translator')->get('Daily Ad Limit'); ?> : <?php echo e($data->daily_ad_limit); ?> <?php echo app('translator')->get('PTC'); ?></li>
                                    <li>
                                        <?php if($data->referral_level == 0): ?>
                                            <i class="fal fa-times-circle text-danger"></i>
                                        <?php else: ?>
                                            <i class="fal fa-check-circle text-success"></i>
                                        <?php endif; ?>

                                        <?php echo app('translator')->get('Referral Bonus'); ?> :
                                        <?php if($data->referral_level == 0): ?>
                                            <?php echo app('translator')->get('N/A'); ?>
                                        <?php else: ?>
                                            <?php echo app('translator')->get('Up to'); ?> <?php echo e($data->referral_level); ?> <?php echo app('translator')->get('level'); ?>
                                        <?php endif; ?>
                                    </li>
                                </ul>

                                <?php if(isset($freePlan->free_plan_purchased) && $freePlan->free_plan_purchased == 1 && $data->price == 0): ?>
                                    <button class="btn-custom w-100 disabled">
                                        <del><?php echo app('translator')->get('Purchase Plan'); ?></del>
                                    </button>
                                <?php else: ?>
                                    <button class="btn-custom w-100 purchaseNow"
                                            data-bs-toggle="modal"
                                            data-bs-target="#planModal"
                                            data-price="<?php echo e($data->price); ?>"
                                            data-resource="<?php echo e($data->details); ?>"
                                    >
                                        <?php echo app('translator')->get('Purchase Plan'); ?>
                                    </button>
                                <?php endif; ?>

                                <?php if(optional($data->details)->tag): ?>
                                    <span class="feature"><?php echo app('translator')->get(optional($data->details)->tag); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                 </div>
            </div>
        </section>


        <!--Plan Modal -->
        <div id="planModal" class="modal fade modal-with-form" data-bs-backdrop="static" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">

                <!-- Modal content-->
                <div class="modal-content form-block">
                    <div class="modal-header">
                        <h4 class="modal-title"><?php echo app('translator')->get('Purchase Plan'); ?></h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>
                    <form class="login-form" id="invest-form" action="<?php echo e(route('user.purchase-plan')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <div class="form-group">
                                <?php if(auth()->guard()->check()): ?>
                                    <h3 class="text-green text-center plan-name"></h3>
                                    <h4 class="text-center plan-price"></h4>
                                    <input type="hidden" name="plan_id" class="plan-id">
                                    <?php if(auth()->user()->plan_id || auth()->user()->plan_id != 0): ?>
                                        <small class="d-block mb-0 pb-0 text-muted mt-4"><?php echo app('translator')->get('If you purchase this plan. Your prior plan feature will reset according to this plan.'); ?></small>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <h5 class="text-center py-2"><?php echo app('translator')->get('Please at first login to your account to purchase plan.'); ?></h5>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                            <?php if(auth()->guard()->check()): ?>
                                <button type="submit" class="btn-custom"><?php echo app('translator')->get('Purchase Now'); ?></button>
                            <?php else: ?>
                                <a href="<?php echo e(route('login')); ?>" class="btn-custom"><?php echo app('translator')->get('Login'); ?></a>
                            <?php endif; ?>
                        </div>

                    </form>
                </div>

            </div>
        </div>

    <?php endif; ?>
<?php endif; ?>

<?php if(request()->routeIs('plan') && 0 >= count($plans)): ?>
    <div class="pricing-section d-flex flex-column justify-content-center align-items-center py-5">
        <h2 class="text-center"><?php echo app('translator')->get('Opps!'); ?></h2>
        <h3 class="text-center greenColorText mb-3"><?php echo app('translator')->get('No Plan Available.'); ?></h3>

        <a href="<?php echo e(route('home')); ?>" class="btn-custom mt-4 text-center">
            <i class="fas fa-arrow-left"></i> <?php echo app('translator')->get('Back'); ?>
        </a>
    </div>
<?php endif; ?>


<?php $__env->startPush('script'); ?>
    <script>
        "use strict";

        $(document).on('click', '.purchaseNow', function () {
            let data = $(this).data('resource');
            let price = $(this).data('price');

            let symbol = "<?php echo e(trans($basic->currency_symbol)); ?>";

            $('.plan-price').text(`<?php echo app('translator')->get('Price'); ?>: ${symbol}${price}`);

            $('.plan-name').text(`${data.name} <?php echo app('translator')->get('Plan'); ?>`);
            $('.plan-id').val(data.plan_id);
        });

        $(document).on('click', '.disabled', function (){
            Notiflix.Notify.Failure("<?php echo app('translator')->get('You can use this plan only once. Please purchase new one.'); ?>");
        })

    </script>


    <?php if(count($errors) > 0 ): ?>
        <script>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            Notiflix.Notify.Failure("<?php echo app('translator')->get($error); ?>");
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </script>
    <?php endif; ?>

<?php $__env->stopPush(); ?>
<?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/themes/linen/sections/plan.blade.php ENDPATH**/ ?>