<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Edit Advertisement'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
    <div class="card-body">
        <div class="media mb-4 justify-content-end">
            <a href="<?php echo e(route('admin.manage.advertisement')); ?>" class="btn btn-sm btn-primary mr-2">
                <span><i class="fas fa-arrow-left"></i> <?php echo app('translator')->get('Back'); ?></span>
            </a>
        </div>

        <div class="mt-2">
            <form method="post" action="<?php echo e(route('admin.update.advertisement', $ad_data->id)); ?>" class="mt-4" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo method_field('put'); ?>
                <div class="row">
                    <div class="col-sm-12 col-md-6 mb-4">
                        <label for="ads_name"><?php echo app('translator')->get('Advertise Name'); ?> <span class="text-danger">*</span></label>
                        <input type="text" name="ads_name" class="form-control" value="<?php echo e(old('ads_name', $ad_data->ads_name)); ?>" required placeholder="<?php echo app('translator')->get('Enter Advertise Name'); ?>" id="ads_name"/>
                        <?php $__errorArgs = ['ads_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="col-sm-12 col-md-6 mb-4">
                        <label for="user_amount"><?php echo app('translator')->get('User Amount'); ?> <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="number" name="user_amount" class="form-control" value="<?php echo e(old('user_amount', $ad_data->user_amount)); ?>" required placeholder="<?php echo app('translator')->get('Enter User Amount'); ?>" step="any">
                            <span class="input-group-text border-0"><?php echo app('translator')->get($basic->currency); ?></span>
                        </div>
                        <?php $__errorArgs = ['user_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>


                    <div class="col-sm-6 col-md-4 mb-4">
                        <label for="ads_duration"><?php echo app('translator')->get('Advertisement Duration'); ?> <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="text" name="ads_duration" onkeyup="this.value = this.value.replace (/^\.|[^\d\.]/g, '')" class="form-control" value="<?php echo e(old('ads_duration', $ad_data->ads_duration)); ?>" required placeholder="<?php echo app('translator')->get('Enter advertisement duration'); ?>">
                            <span class="input-group-text gradientBg border-0"><?php echo app('translator')->get('Seconds'); ?></span>
                        </div>
                        <?php $__errorArgs = ['ads_duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="col-sm-6 col-md-4 mb-4">
                        <label for="max_show_limit"><?php echo app('translator')->get('Maximum Show Limit'); ?> <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="text" name="max_show_limit" onkeyup="this.value = this.value.replace (/^\.|[^\d\.]/g, '')" class="form-control" value="<?php echo e(old('max_show_limit', $ad_data->max_show_limit)); ?>" required placeholder="<?php echo app('translator')->get('Enter maximum show limit'); ?>">
                            <span class="input-group-text gradientBg border-0"><?php echo app('translator')->get('Times'); ?></span>
                        </div>
                        <?php $__errorArgs = ['max_show_limit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="col-sm-12 col-md-4 mb-4">
                        <label><?php echo app('translator')->get('Status'); ?> <span class="text-danger">*</span></label>
                        <select name="status" required class="form-control" id="status">
                            <option value="0" <?php echo e(old('status') == 0 ? 'selected' : ''); ?>><?php echo app('translator')->get('Deactive'); ?></option>
                            <option value="1" <?php echo e(old('status', $ad_data->status) == 1 ? 'selected' : ''); ?>><?php echo app('translator')->get('Approve'); ?></option>
                            <option value="2" <?php echo e(old('status', $ad_data->status) == 2 ? 'selected' : ''); ?>><?php echo app('translator')->get('Pending'); ?></option>
                            <option value="3" <?php echo e(old('status', $ad_data->status) == 3 ? 'selected' : ''); ?>><?php echo app('translator')->get('Reject'); ?></option>
                        </select>
                        <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="col-sm-12 col-md-4 mb-4">
                        <label for="ads_type"><?php echo app('translator')->get('Advertisement Type'); ?> <span class="text-danger">*</span></label>
                        <input type="hidden" name="ads_type" value="<?php echo e(old('ads_type', $ad_data->ads_type)); ?>">
                            <div class="">
                                <?php if($ad_data->ads_type == 1): ?>
                                    <span class="badge badge-pill badge-primary"><?php echo app('translator')->get('URL/Link'); ?></span>
                                <?php elseif($ad_data->ads_type == 4): ?>
                                    <span class="badge badge-pill badge-info"><?php echo app('translator')->get('Code/Script'); ?></span>
                                <?php elseif($ad_data->ads_type == 3): ?>
                                    <span class="badge badge-pill badge-secondary"><?php echo app('translator')->get('Picture/Banner'); ?></span>
                                <?php elseif($ad_data->ads_type == 2): ?>
                                    <span class="badge badge-pill badge-danger"><?php echo app('translator')->get('Youtube Embeded Link'); ?></span>
                                <?php endif; ?>
                            </div>
                        <?php $__errorArgs = ['ads_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <?php if($ad_data->ads_type == 1): ?>
                        <div class="col-sm-12 col-md-8 mb-4" id="websiteLink">
                            <label><?php echo app('translator')->get('URL/Link'); ?> <span class="text-danger">*</span></label>
                            <input type="url" class="form-control" value="<?php echo e(old('website_link', $ad_data->ads_body)); ?>" name="website_link" placeholder="<?php echo app('translator')->get('http://example.com'); ?>" required/>
                            <?php $__errorArgs = ['website_link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    <?php elseif($ad_data->ads_type == 4): ?>
                        <div class="col-sm-12 col-md-8 mb-4" id="script">
                            <label><?php echo app('translator')->get('Script/Code'); ?> <span class="text-danger">*</span></label>
                            <textarea
                                class="form-control"
                                name="script"
                                cols="30"
                                rows="3"
                                placeholder="<?php echo app('translator')->get('Enter Script/Code'); ?>"
                                required
                            ><?php echo e($ad_data->ads_body); ?></textarea>
                            <?php $__errorArgs = ['script'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    <?php elseif($ad_data->ads_type == 3): ?>
                        <div class="col-sm-12 col-md-4 mb-4" id="bannerImage">
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Picture/Banner'); ?> <span class="text-danger">*</span></label>
                                <div class="image-input ">
                                    <label for="image-upload" id="image-label"><i class="fas fa-upload"></i></label>
                                    <input type="file" name="banner_image" placeholder="<?php echo app('translator')->get('Choose Picture/Banner'); ?>" id="image" accept="image/*">
                                    <img id="image_preview_container" class="preview-image"
                                        src="<?php echo e(getFile(config('location.advertisement.path'))); ?>"
                                        alt="<?php echo app('translator')->get('preview image'); ?>">
                                </div>
                                <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="text-danger"><?php echo e($message); ?></span>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-md-4 mb-4">
                            <label><?php echo app('translator')->get('Current Existing Picture/Banner :'); ?></label>
                            <img class="w-100" src="<?php echo e(getFile(config('location.advertisement.path').$ad_data->ads_body)); ?>">
                        </div>
                    <?php elseif($ad_data->ads_type == 2): ?>
                        <div class="col-sm-12 col-md-8 mb-4" id="youtube">
                            <label><?php echo app('translator')->get('Youtube Embeded Link'); ?> <span class="text-danger">*</span></label>
                            <input type="text" class="form-control" name="youtube" value="<?php echo e(old('youtube', $ad_data->ads_body)); ?>" placeholder="<?php echo app('translator')->get('Enter youtube embed link'); ?>" required/>
                            <?php $__errorArgs = ['youtube'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger"><?php echo app('translator')->get($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    <?php endif; ?>
                </div>

                <button type="submit" class="btn waves-effect waves-light btn-rounded btn-primary btn-block mt-3">
                    <?php echo app('translator')->get('Save'); ?>
                </button>

            </form>

        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        (function($){
            "use strict";

            $('#image').on('change',function () {
                let reader = new FileReader();
                reader.onload = (e) => {
                    $('#image_preview_container').attr('src', e.target.result);
                }
                reader.readAsDataURL(this.files[0]);
            });

        })(jQuery);

        $('select').select2({
            selectOnClose: true,
            width: '100%'
        });
    </script>

    <?php if($errors->any()): ?>
        <?php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        ?>
        <script>
            "use strict";
            <?php $__currentLoopData = $errors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            Notiflix.Notify.Failure("<?php echo e(trans($error)); ?>");
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </script>
    <?php endif; ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/admin/manage_advertisement/ads_edit.blade.php ENDPATH**/ ?>