<?php $__env->startSection('title',trans($title)); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0"><?php echo app('translator')->get($title); ?></h2>
            </div>

            <div class="col-md-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="<?php echo e(route('user.payout.history.search')); ?>" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="name" value="<?php echo e(old('name',@request()->name)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Transaction ID'); ?>">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="status" class="form-select" aria-label="Default select example">
                                    <option value=""><?php echo app('translator')->get('All Payment'); ?></option>
                                    <option value="1"
                                            <?php if(@request()->status == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Pending Payment'); ?></option>
                                    <option value="2"
                                            <?php if(@request()->status == '2'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Completed Payment'); ?></option>
                                    <option value="3"
                                            <?php if(@request()->status == '3'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Rejected Payment'); ?></option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="date_time" value="<?php echo e(old('date_time',@request()->date_time)); ?>"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit"><?php echo app('translator')->get('Search'); ?></button>
                            </div>
                        </div>
                    </form>
                </div>

                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col"><?php echo app('translator')->get('Transaction ID'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Gateway'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Amount'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Charge'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Date-Time'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Details'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $payoutLog; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td data-label="#<?php echo app('translator')->get('Transaction ID'); ?>"><?php echo e($item->trx_id); ?></td>
                                    <td data-label="<?php echo app('translator')->get('Gateway'); ?>">
                                        <?php echo app('translator')->get(optional($item->method)->name); ?>
                                        <?php if(optional($item->method)->is_automatic == 1): ?>
                                            <sup class="greenColorText fw-bold"><?php echo app('translator')->get('Automatic'); ?></sup>
                                        <?php endif; ?>
                                    </td>
                                    <td data-label="<?php echo app('translator')->get('Amount'); ?>">
                                        <?php echo e(getAmount($item->amount)); ?> <?php echo app('translator')->get($basic->currency); ?>
                                    </td>
                                    <td data-label="<?php echo app('translator')->get('Charge'); ?>">
                                        <?php echo e(getAmount($item->charge)); ?> <?php echo app('translator')->get($basic->currency); ?>
                                    </td>

                                    <td data-label="<?php echo app('translator')->get('Status'); ?>">
                                        <?php if($item->status == 1): ?>
                                            <span class="badge bg-warning"><?php echo app('translator')->get('Pending'); ?></span>
                                        <?php elseif($item->status == 2): ?>
                                            <span class="badge bg-primary"><?php echo app('translator')->get('Completed'); ?></span>
                                        <?php elseif($item->status == 3): ?>
                                            <span class="badge bg-danger"><?php echo app('translator')->get('Rejected'); ?></span>
                                        <?php endif; ?>
                                    </td>

                                    <td data-label="<?php echo app('translator')->get('Date-Time'); ?>">
                                        <?php echo e(dateTime($item->created_at, 'd M Y h:i A')); ?>

                                    </td>
                                    <td data-label="<?php echo app('translator')->get('Details'); ?>">
                                        <button
                                            type="button" class="btn gradientBg btn-sm infoButton"
                                            data-information="<?php echo e(json_encode($item->information)); ?>"
                                            data-feedback="<?php echo e($item->feedback); ?>"
                                            data-trx_id="<?php echo e($item->trx_id); ?>"
                                            data-amount="<?php echo e($item->amount); ?>"
                                            data-charge="<?php echo e($item->charge); ?>"
                                            data-payable_amount="<?php echo e($item->net_amount); ?>"
                                        >
                                            <i class="fa fa-info-circle"></i>
                                        </button>
                                    </td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr class="text-center">
                                    <td colspan="100%"><?php echo e(trans('No Data Found!')); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div> <!-- table -->

                <?php echo e($payoutLog->appends($_GET)->links($theme.'partials.pagination')); ?>


            </div>
        </div>
    </div>



    <div id="infoModal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content form-block text-white">
                <div class="modal-header">
                    <h4 class="modal-title"><?php echo app('translator')->get('Details'); ?></h4>
                    <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="list-unstyled mb-3 text-dark">
                        <li class="list-group-item border-0 d-flex justify-content-between align-items-start"><?php echo app('translator')->get('Amount'); ?> : <span class="amount"></span></li>
                        <li class="list-group-item border-0 d-flex justify-content-between align-items-start"><?php echo app('translator')->get('Charge'); ?> : <span class="charge"></span></li>
                        <li class="list-group-item border-0 d-flex justify-content-between align-items-start"><?php echo app('translator')->get('Payable Amount'); ?> : <span class="payable_amount"></span></li>

                        <li class="list-group-item border-0 d-flex justify-content-between align-items-start"><?php echo app('translator')->get('Transactions'); ?> : <span class="trx"></span>
                        </li>
                        <li class="list-group-item border-0 d-flex justify-content-between align-items-start"><?php echo app('translator')->get('Admin Feedback'); ?> : <span class="feedback"></span></li>
                    </ul>

                    <div class="payout-detail">

                    </div>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn-custom close-btn" data-bs-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                </div>
            </div>
        </div>
    </div>


    <?php $__env->startPush('loadModal'); ?>
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                    <form action="<?php echo e(route('user.payout.history.search')); ?>" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="name" value="<?php echo e(old('name',@request()->name)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Transaction ID'); ?>">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="status" class="form-select" aria-label="Default select example">
                                    <option value=""><?php echo app('translator')->get('All Payment'); ?></option>
                                    <option value="1"
                                            <?php if(@request()->status == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Pending Payment'); ?></option>
                                    <option value="2"
                                            <?php if(@request()->status == '2'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Completed Payment'); ?></option>
                                    <option value="3"
                                            <?php if(@request()->status == '3'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Rejected Payment'); ?></option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="date_time" value="<?php echo e(old('date_time',@request()->date_time)); ?>"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit"><?php echo app('translator')->get('Search'); ?></button>
                            </div>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>

    <script>
        "use strict";

        $(document).ready(function () {
            $('.infoButton').on('click', function () {
                var infoModal = $('#infoModal');
                infoModal.find('.trx').text($(this).data('trx_id'));
                infoModal.find('.feedback').text($(this).data('feedback'));
                infoModal.find('.amount').text($(this).data('amount') + " <?php echo e(trans($basic->currency)); ?>");
                infoModal.find('.charge').text($(this).data('charge') + " <?php echo e(trans($basic->currency)); ?>");
                infoModal.find('.payable_amount').text($(this).data('payable_amount') + " <?php echo e(trans($basic->currency)); ?>");
                var list = [];
                var information = Object.entries($(this).data('information'));

                var ImgPath = "<?php echo e(asset(config('location.withdrawLog.path'))); ?>";
                var result = ``;
                for (var i = 0; i < information.length; i++) {
                    if (information[i][1].type == 'file') {
                        result += `<li class="list-group-item border-0 d-flex justify-content-between align-items-start">
                                        <span class="font-weight-bold "> ${information[i][0].replaceAll('_', " ")} </span> : <img class="w-100"src="${ImgPath}/${information[i][1].fieldValue}" alt="..." class="w-100">
                                    </li>`;
                    } else {
                        result += `<li class="list-group-item border-0 d-flex justify-content-between align-items-start">
                                        <span class="font-weight-bold "> ${information[i][0].replaceAll('_', " ")} </span> : <span class="font-weight-bold ml-3">${information[i][1].fieldValue}</span>
                                    </li>`;
                    }
                }

                if (result) {
                    infoModal.find('.payout-detail').html(`<br><strong class="my-3 font18 indegoTextColor"><?php echo app('translator')->get('Payment Information'); ?></strong>  ${result}`);
                } else {
                    infoModal.find('.payout-detail').html(`${result}`);
                }
                infoModal.modal('show');
            });


            $('.closeModal').on('click', function (e) {
                $("#infoModal").modal("hide");
            });
        });

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($theme.'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/themes/linen/user/payout/log.blade.php ENDPATH**/ ?>