<?php $__env->startSection('title',trans('Deposit History')); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="main row">
            <div class="dashboard-heading">
                <h2 class="mb-0"><?php echo app('translator')->get('Deposit History'); ?></h2>
            </div>

            <div class="col-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="<?php echo e(route('user.fund-history.search')); ?>" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="name" value="<?php echo e(old('name',@request()->name)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Transaction ID'); ?>">
                            </div>

                            <div class="input-box col-lg-3">
                                <select name="status" class="form-select" aria-label="Default select example">
                                    <option value=""><?php echo app('translator')->get('All Payment'); ?></option>
                                    <option value="1"
                                            <?php if(@request()->status == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Complete Payment'); ?></option>
                                    <option value="2"
                                            <?php if(@request()->status == '2'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Pending Payment'); ?></option>
                                    <option value="3"
                                            <?php if(@request()->status == '3'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Cancel Payment'); ?></option>
                                </select>
                            </div>

                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="date_time" value="<?php echo e(old('date_time',@request()->date_time)); ?>"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit"><?php echo app('translator')->get('Search'); ?></button>
                            </div>
                        </div>
                    </form>
                </div>

                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col"><?php echo app('translator')->get('Transaction ID'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Gateway'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Amount'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Charge'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Date-Time'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $funds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td data-label="<?php echo app('translator')->get('Transaction ID'); ?>"><?php echo e($data->transaction); ?></td>
                                <td data-label="<?php echo app('translator')->get('Gateway'); ?>"><?php echo app('translator')->get(optional($data->gateway)->name); ?></td>
                                <td data-label="<?php echo app('translator')->get('Amount'); ?>">
                                    <strong><?php echo e(getAmount($data->amount)); ?> <?php echo app('translator')->get($basic->currency); ?></strong>
                                </td>

                                <td data-label="<?php echo app('translator')->get('Charge'); ?>">
                                    <span><?php echo e(getAmount($data->charge)); ?> <?php echo app('translator')->get($basic->currency); ?></span>
                                </td>

                                <td data-label="<?php echo app('translator')->get('Status'); ?>">
                                    <?php if($data->status == 1): ?>
                                        <span class="badge bg-primary"><?php echo app('translator')->get('Completed'); ?></span>
                                    <?php elseif($data->status == 2): ?>
                                        <span class="badge bg-warning"><?php echo app('translator')->get('Pending'); ?></span>
                                    <?php elseif($data->status == 3): ?>
                                        <span class="badge bg-danger"><?php echo app('translator')->get('Canceled'); ?></span>
                                    <?php endif; ?>
                                </td>

                                <td data-label="<?php echo app('translator')->get('Date-Time'); ?>">
                                    <?php echo e(dateTime($data->created_at, 'd M Y h:i A')); ?>

                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr class="text-center">
                                    <td colspan="100%"><?php echo e(__('No Data Found!')); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div> <!-- table -->

                <?php echo e($funds->appends($_GET)->links($theme.'partials.pagination')); ?>


            </div>
        </div>
    </div>

    <?php $__env->startPush('loadModal'); ?>
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                        <form action="<?php echo e(route('user.fund-history.search')); ?>" method="get">
                            <div class="row g-3 align-items-end">
                                <div class="input-box col-lg-3">
                                    <input type="text" name="name" value="<?php echo e(old('name',@request()->name)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Transaction ID'); ?>">
                                </div>

                                <div class="input-box col-lg-3">
                                    <select name="status" class="form-select" aria-label="Default select example">
                                        <option value=""><?php echo app('translator')->get('All Payment'); ?></option>
                                        <option value="1"
                                                <?php if(@request()->status == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Complete Payment'); ?></option>
                                        <option value="2"
                                                <?php if(@request()->status == '2'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Pending Payment'); ?></option>
                                        <option value="3"
                                                <?php if(@request()->status == '3'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Cancel Payment'); ?></option>
                                    </select>
                                </div>

                                <div class="input-box col-lg-3">
                                    <input type="date" class="form-control" name="date_time" value="<?php echo e(old('date_time',@request()->date_time)); ?>"/>
                                </div>

                                <div class="input-box col-lg-3">
                                    <button class="btn-custom w-100" type="submit"><?php echo app('translator')->get('Search'); ?></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>


<?php echo $__env->make($theme.'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/themes/linen/user/transaction/fundHistory.blade.php ENDPATH**/ ?>