<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Transaction'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="main row">
            <div class="col">
                <div class="dashboard-heading">
                    <h2 class="mb-0"><?php echo app('translator')->get('All Transaction'); ?></h2>
                </div>
            </div>

            <div class="col-12">
                <!-- search area -->
                <div class="search-bar d-none d-lg-block">
                    <form action="<?php echo e(route('user.transaction.search')); ?>" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="transaction_id" value="<?php echo e(old('transaction_id',@request()->transaction_id)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Transaction ID'); ?>">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="text" name="remark" value="<?php echo e(old('remark',@request()->remark)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Remark'); ?>">
                            </div>


                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="datetrx" value="<?php echo e(old('datetrx',@request()->datetrx)); ?>"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit"><?php echo app('translator')->get('Search'); ?></button>
                            </div>
                        </div>
                    </form>
                </div>


                <!-- table -->
                <div class="mb-3">
                    <button
                    type="button"
                    class="btn-custom w-100 d-lg-none"
                    data-bs-toggle="modal"
                    data-bs-target="#addFundModal"
                    >
                    Filter <i class="fal fa-filter"></i>
                    </button>
                </div>
                <div class="table-parent table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th scope="col"><?php echo app('translator')->get('SL No.'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Transaction ID'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Amount'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Charge'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Final Balance'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Remarks'); ?></th>
                                <th scope="col"><?php echo app('translator')->get('Date-Time'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td data-label="<?php echo app('translator')->get('SL No.'); ?>"><?php echo e(loopIndex($transactions) + $loop->index); ?></td>
                                <td data-label="<?php echo app('translator')->get('Transaction ID'); ?>"><?php echo app('translator')->get($transaction->trx_id); ?></td>
                                <td data-label="<?php echo app('translator')->get('Amount'); ?>">
                                    <span class="fw-bold text-<?php echo e(($transaction->trx_type == "+" || $transaction->trx_type == "+R") ? 'success': 'danger'); ?>">
                                        <?php echo e(($transaction->trx_type == "+" || $transaction->trx_type == "+R") ? '+': '-'); ?><?php echo e(getAmount($transaction->amount). ' ' . trans(config('basic.currency'))); ?>

                                    </span>
                                </td>
                                <td data-label="<?php echo app('translator')->get('Charge'); ?>"><?php echo app('translator')->get($transaction->charge); ?> <?php echo app('translator')->get($basic->currency); ?></td>
                                <td data-label="<?php echo app('translator')->get('Final Balance'); ?>"><?php echo app('translator')->get($transaction->final_balance); ?> <?php echo app('translator')->get($basic->currency); ?></td>
                                <td data-label="<?php echo app('translator')->get('Remarks'); ?>"><?php echo app('translator')->get($transaction->remarks); ?></td>
                                <td data-label="<?php echo app('translator')->get('Date-Time'); ?>">
                                    <?php echo e(dateTime($transaction->created_at, 'd M Y h:i A')); ?>

                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr class="text-center">
                                    <td colspan="100%"><?php echo e(__('No Data Found!')); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>

                </div> <!-- table -->

                <?php echo e($transactions->appends($_GET)->links($theme.'partials.pagination')); ?>


            </div>
        </div>
    </div>

    <?php $__env->startPush('loadModal'); ?>
        <div id="addFundModal" class="modal fade addFundModal" tabindex="-1" role="dialog" data-bs-backdrop="static">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title method-name" id="editModalLabel">Search</h4>
                        <button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                    <form action="<?php echo e(route('user.transaction.search')); ?>" method="get">
                        <div class="row g-3 align-items-end">
                            <div class="input-box col-lg-3">
                                <input type="text" name="transaction_id" value="<?php echo e(old('transaction_id',@request()->transaction_id)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Transaction ID'); ?>">
                            </div>
                            <div class="input-box col-lg-3">
                                <input type="text" name="remark" value="<?php echo e(old('remark',@request()->remark)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Remark'); ?>">
                            </div>


                            <div class="input-box col-lg-3">
                                <input type="date" class="form-control" name="datetrx" value="<?php echo e(old('datetrx',@request()->datetrx)); ?>"/>
                            </div>

                            <div class="input-box col-lg-3">
                                <button class="btn-custom w-100" type="submit"><?php echo app('translator')->get('Search'); ?></button>
                            </div>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>


<?php echo $__env->make($theme.'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/themes/linen/user/transaction/index.blade.php ENDPATH**/ ?>