<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Advertisement List'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="page-header card card-primary m-0 m-md-4 my-4 m-md-0 p-5 shadow">
        <form action="<?php echo e(route('admin.search.advertisement')); ?>" method="get">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <input type="text" name="ads_name" value="<?php echo e(old('ads_name',@request()->ads_name)); ?>" class="form-control" placeholder="<?php echo app('translator')->get('Search by Ads Name'); ?>">
                    </div>
                </div>
                <div class="col-md-3">
                    <select name="ads_type" class="form-control" aria-label="Default select example">
                        <option value=""><?php echo app('translator')->get('Ads Type'); ?></option>
                        <option value="1"
                                <?php if(@request()->ads_type == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('URL/Link'); ?></option>
                        <option value="2"
                                <?php if(@request()->ads_type == '2'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Youtube Embeded Link'); ?></option>
                        <option value="3"
                                <?php if(@request()->ads_type == '3'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Picture/Banner'); ?></option>
                        <option value="4"
                                <?php if(@request()->ads_type == '4'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Code/Script'); ?></option>
                    </select>
                </div>
                <div class="col-md-3">
                    <select name="status" class="form-control" aria-label="Default select example">
                        <option value=""><?php echo app('translator')->get('All Ads'); ?></option>
                        <option value="0"
                                <?php if(@request()->status == '0'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Deactive Ads'); ?></option>
                        <option value="1"
                                <?php if(@request()->status == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Active Ads'); ?></option>
                        <option value="2"
                                <?php if(@request()->status == '2'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Pending Ads'); ?></option>
                        <option value="3"
                                <?php if(@request()->status == '3'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Rejected Ads'); ?></option>
                    </select>
                </div>
                <div class="col-md-2">
                    <div class="form-group">
                        <button type="submit" class="btn waves-effect waves-light btn-primary"><i class="fas fa-search"></i> <?php echo app('translator')->get('Search'); ?></button>
                    </div>
                </div>
            </div>
        </form>
    </div>


    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <div class="card-body">
            <div class="media mb-4 float-right">
                <a href="<?php echo e(route('admin.create.advertisement')); ?>" class="btn btn-sm btn-primary mr-2">
                    <span><i class="fa fa-plus-circle"></i> <?php echo app('translator')->get('Add New Advetisement'); ?></span>
                </a>
            </div>

            <div class="table-responsive">
                <table class="categories-show-table table table-hover table-striped table-bordered">
                    <thead class="thead-dark">
                        <tr>
                            <th scope="col"><?php echo app('translator')->get('Ads Name'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Submitted By'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Ads Type'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Duration'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Amount'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Max View'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Viewed'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Remaining'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Action'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $allAds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td data-label="<?php echo app('translator')->get('Ads Name'); ?>"><?php echo app('translator')->get(Illuminate\Support\Str::limit(($item->ads_name),30)); ?></td>
                                <td data-label="<?php echo app('translator')->get('Submitted By'); ?>">
                                    <?php if($item->user): ?>
                                        <a href="<?php echo e(route('admin.user-edit', optional($item->user)->id)); ?>" target="_blank" class="userList">
                                            <div class="d-flex no-block align-items-center">
                                                <div class="mr-2">
                                                    <img src="<?php echo e(getFile(config('location.user.path').optional($item->user)->image)); ?>" alt="<?php echo app('translator')->get('user image'); ?>" class="rounded-circle" width="45" height="45">
                                                    <?php if(optional($item->user)->last_seen == 'online'): ?>
                                                        <span class="<?php echo e(optional($item->user)->last_seen == 'online' ? 'onlineOffline' : ''); ?>"></span>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="">
                                                    <h5 class="text-dark mb-0 font-16 font-weight-medium"><?php echo app('translator')->get(optional($item->user)->firstname); ?> <?php echo app('translator')->get(optional($item->user)->lastname); ?></h5>
                                                    <span class="text-muted font-14"><span>@</span><?php echo app('translator')->get(optional($item->user)->username); ?></span>
                                                </div>
                                            </div>
                                        </a>
                                    <?php else: ?>
                                        <?php echo app('translator')->get('Admin'); ?>
                                    <?php endif; ?>
                                </td>
                                <td data-label="<?php echo app('translator')->get('Ads Type'); ?>">
                                    <button class="previewAd btn btn-transparent">
                                        <?php if($item->ads_type == 1): ?>
                                            <span class="badge badge-pill badge-primary adCategory"
                                                data-adlink="<?php echo e($item->ads_body); ?>"
                                                data-adtype="<?php echo e($item->ads_type); ?>"
                                            >
                                                <?php echo app('translator')->get('URL/Link'); ?>
                                            </span>
                                        <?php elseif($item->ads_type == 2): ?>
                                            <span class="badge badge-pill badge-danger adCategory"
                                                data-adlink="<?php echo e($item->ads_body); ?>"
                                                data-adtype="<?php echo e($item->ads_type); ?>"
                                            >
                                                <?php echo app('translator')->get('Youtube Embeded Link'); ?>
                                            </span>
                                        <?php elseif($item->ads_type == 3): ?>
                                            <span class="badge badge-pill badge-success adCategory"
                                                data-adlink="<?php echo e($item->ads_body); ?>"
                                                data-adtype="<?php echo e($item->ads_type); ?>"
                                            >
                                                <?php echo app('translator')->get('Picture/Banner'); ?>
                                            </span>
                                        <?php elseif($item->ads_type == 4): ?>
                                            <span class="badge badge-pill badge-dark adCategory"
                                                data-adlink="<?php echo e($item->ads_body); ?>"
                                                data-adtype="<?php echo e($item->ads_type); ?>"
                                            >
                                                <?php echo app('translator')->get('Code/Script'); ?>
                                            </span>
                                        <?php endif; ?>
                                    </button>
                                </td>
                                <td data-label="<?php echo app('translator')->get('Duration'); ?>"><?php echo app('translator')->get($item->ads_duration); ?> <?php echo app('translator')->get('Second'); ?></td>
                                <td data-label="<?php echo app('translator')->get('Amount'); ?>"><?php echo app('translator')->get($item->user_amount); ?> <?php echo app('translator')->get($basic->currency); ?></td>
                                <td data-label="<?php echo app('translator')->get('Max View'); ?>"><?php echo app('translator')->get($item->max_show_limit); ?></td>
                                <td data-label="<?php echo app('translator')->get('Viewed'); ?>"><?php echo app('translator')->get($item->shown); ?></td>
                                <td data-label="<?php echo app('translator')->get('Remaining'); ?>"><?php echo app('translator')->get($item->remaining); ?></td>

                                <td data-label="<?php echo app('translator')->get('Status'); ?>">
                                    <?php if($item->status == 0): ?>
                                        <span class="badge badge-pill badge-dark"><?php echo app('translator')->get('Deactive'); ?></span>
                                    <?php elseif($item->status == 1): ?>
                                        <span class="badge badge-pill badge-primary"><?php echo app('translator')->get('Approved'); ?></span>
                                    <?php elseif($item->status == 2): ?>
                                        <span class="badge badge-pill badge-warning"><?php echo app('translator')->get('Pending'); ?></span>
                                    <?php elseif($item->status == 3): ?>
                                        <span class="badge badge-pill badge-danger"><?php echo app('translator')->get('Rejected'); ?></span>
                                    <?php endif; ?>
                                </td>

                                    <td data-label="<?php echo app('translator')->get('Action'); ?>" class="text-center">
                                            <a href="<?php echo e(route('admin.edit.advertisement',$item->id)); ?>"
                                                class="btn btn-outline-primary btn-rounded btn-sm editBtn"
                                            >
                                                <i class="fas fa-edit"></i>
                                            </a>

                                            <a href="javascript:void(0)"
                                                data-route="<?php echo e(route('admin.delete.advertisement',$item->id)); ?>"
                                                data-toggle="modal"
                                                data-target="#delete-modal"
                                                class="btn btn-outline-danger btn-rounded btn-sm notiflix-confirm"
                                            >
                                                <i class="fas fa-trash-alt"></i>
                                            </a>
                                    </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-center text-danger" colspan="100%"><?php echo app('translator')->get('No User Data'); ?></td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>

                <?php echo e($allAds->links('partials.pagination')); ?>


            </div>
        </div>
    </div>

    <!-- Preview Modal -->
    <div id="adPreview" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary">
                    <h4 class="modal-title" id="primary-header-modalLabel"><?php echo app('translator')->get('Preview Advertisement'); ?></h4>
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">×
                    </button>
                </div>

                <div class="modal-body">
                    <iframe src=""
                        title="<?php echo app('translator')->get('iframe ad preview'); ?>"
                        class="iframeAdView preview-type type-1 d-none"
                    >
                    </iframe>
                    <div class="youtubeEmbedLink preview-type type-2 d-none"></div>
                    <img src="" class="imgAdPreview preview-type type-3 d-none" width="768px" height="512px" alt="<?php echo app('translator')->get('img ad preview'); ?>">
                    <div class="scriptPreview preview-type type-4 d-none"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark btn-rounded" data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                </div>

            </div>
        </div>
    </div>


    <!-- Delete Modal -->
    <div id="delete-modal" class="modal fade" tabindex="-1" role="dialog"
         aria-labelledby="primary-header-modalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary">
                    <h4 class="modal-title" id="primary-header-modalLabel"><?php echo app('translator')->get('Delete Confirmation'); ?>
                    </h4>
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">×
                    </button>
                </div>
                <div class="modal-body">
                    <p><?php echo app('translator')->get('Are you sure to delete this?'); ?></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light"
                            data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                    <form action="" method="post" class="deleteRoute">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('delete'); ?>
                        <button type="submit" class="btn btn-primary"><?php echo app('translator')->get('Yes'); ?></button>
                    </form>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

<?php $__env->stopSection(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset('assets/admin/css/highlight.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startPush('js'); ?>
    <script src="<?php echo e(asset('assets/admin/js/highlight.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        'use strict'
        $(document).on('click','.adCategory', function() {
            var adLink = $(this).data('adlink');
            var adType = $(this).data('adtype');

            var modal = $('#adPreview');

            if (adType == 1) {
                modal.find(`.type-${adType}`).attr('src', adLink);
            }
            else if(adType == 2){
                modal.find(`.type-${adType}`).html(`${adLink}`);
                $("div.youtubeEmbedLink").find("iframe").height('450px');
                $("div.youtubeEmbedLink").find("iframe").width('100%');
            }
            else if(adType == 3){
                var imgPath = "<?php echo e(asset(config('location.advertisement.path'))); ?>"
                var imgLink = imgPath+'/'+`${adLink}`;
                modal.find(`.type-${adType}`).attr('src', imgLink);
            }
            else if(adType == 4){
                modal.find(`.type-${adType}`).html(`<pre><code class='p-4'>${adLink}</code></pre>`);
                document.querySelectorAll(`.type-${adType} pre code`).forEach(el => {
                    hljs.highlightElement(el);
                });
            }

            $(`.type-${adType}`).removeClass('d-none');
            $(".preview-type").not(`.type-${adType}`).addClass('d-none');

            modal.modal('show');
        });

        $(document).on('click', '.notiflix-confirm', function () {
            var route = $(this).data('route');
            $('.deleteRoute').attr('action', route)
        });

        $('select').select2({
            selectOnClose: true,
            width: '100%'
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/admin/manage_advertisement/ads_list.blade.php ENDPATH**/ ?>