<!-- footer section -->
<footer class="footer-section" id="subscribe">
<div class="container">
    <div class="row gy-5 gy-lg-0">
        <div class="col-lg-3 col-md-6">
            <div class="footer-box">
                <a class="navbar-brand" href="<?php echo e(route('home')); ?>">
                    <img src="<?php echo e(getFile(config('location.logo.path').'admin-logo.png')); ?>" alt="<?php echo app('translator')->get('footer img'); ?>" />
                </a>
                <p class="company-bio">
                    <?php if(isset($contactUs['contact-us'][0]) && $contact = $contactUs['contact-us'][0]): ?>
                        <?php echo trans(optional($contact->description)->footer_short_details); ?>

                    <?php endif; ?>
                </p>
                <?php if(isset($contentDetails['social'])): ?>
                    <div class="social-links">
                        <?php $__currentLoopData = $contentDetails['social']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <a href="<?php echo e(@$data->content->contentMedia->description->link); ?>" target="_blank">
                                <i class="<?php echo e(@$data->content->contentMedia->description->icon); ?>"></i>
                            </a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="footer-box">
            <h4><?php echo app('translator')->get("Quick Links"); ?></h4>
            <ul>
                <li><a href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a></li>
                <li><a href="<?php echo e(route('about')); ?>"><?php echo app('translator')->get('About us'); ?></a></li>
                <li><a href="<?php echo e(route('plan')); ?>"><?php echo app('translator')->get('Plan'); ?></a></li>
                <li><a href="<?php echo e(route('blog')); ?>"><?php echo app('translator')->get('Blogs'); ?></a></li>
            </ul>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="footer-box">
            <h4><?php echo app('translator')->get('Our Services'); ?></h4>
            <ul>
                <li><a href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a></li>
                <li><a href="<?php echo e(route('faq')); ?>"><?php echo app('translator')->get('FAQ'); ?></a></li>
                <?php if(isset($contentDetails['pages'])): ?>
                    <?php $__currentLoopData = $contentDetails['pages']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><a href="<?php echo e(route('getLink', [slug($data->description->title), $data->content_id])); ?>"><?php echo app('translator')->get($data->description->title); ?></a></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </ul>
            </div>
        </div>


        <?php if(isset($newsLetter['news-letter'][0]) && $newsLetter = $newsLetter['news-letter'][0]): ?>
            <div class="col-lg-3 col-md-6">
                <div class="footer-box">
                    <h4><?php echo app('translator')->get(@$newsLetter->description->title); ?></h4>
                    <p><?php echo app('translator')->get(@$newsLetter->description->sub_title); ?></p>
                    <div class="news-letter">
                        <form action="<?php echo e(route('subscribe')); ?>" method="post">
                            <?php echo csrf_field(); ?>
                           <div>
                               <input type="email" name="email" value="<?php echo e(old('email')); ?>" placeholder="<?php echo app('translator')->get('Email Address'); ?>" class="form-control"/>
                               <button type="submit" class="btn-custom">
                                   <i class="fad fa-paper-plane"></i>
                               </button>
                           </div>

                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger d-block mt-1"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </form>

                    </div>
                </div>
            </div>
        <?php endif; ?>

    </div>

    <div class="footer-bottom">
        <div class="row">
            <div class="col-md-6">
                <p class="copyright">
                    <?php echo app('translator')->get('Copyright'); ?> &copy; <?php echo e(date('Y')); ?> <a href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get($basic->site_title); ?></a>
                    <?php echo app('translator')->get('All Rights Reserved.'); ?>
                </p>
            </div>

            <div class="col-md-6 language">
                <div class="d-flex justify-content-end">
                    <?php $__currentLoopData = $allLanguage; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <a href="<?php echo e(route('language',[$language->short_name])); ?>" class="<?php echo e(session()->get('trans') == $language->short_name ? 'redColorText' : ''); ?>">
                        <div class="d-flex">
                            <span class="mx-2 flag-icon flag-icon-<?php echo e(strtolower($language->short_name)); ?>"></span> <span><?php echo e($language->name); ?></span>
                        </div>
                    </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
</div>
</footer>


<!-- cookie alert -->
<?php if(getCookieInfo() != false): ?>
    <div id="cookieAlert" class="cookie-content">
        <h4>
            <i class="fad fa-cookie-bite"></i>
            <?php echo app('translator')->get(optional(getCookieInfo()->description)->title); ?>
        </h4>
        <p>
            <?php echo app('translator')->get(\Illuminate\Support\Str::limit(optional(getCookieInfo()->description)->popup_short_description, 180)); ?>
            <a href="<?php echo e(route('getTemplate', ['cookie-consent'])); ?>" target="_blank"><?php echo app('translator')->get('Privacy Policy'); ?></a>
        </p>
        <div class="cookie-btns">
            <button class="btn-custom close-btn" id="cookie-deny"><?php echo app('translator')->get('Decline'); ?></button>
            <button class="btn-custom" id="cookie-accept"><?php echo app('translator')->get('Accept'); ?></button>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH C:\OSPanel\domains\ptc.ru\resources\views/themes/linen/partials/footer.blade.php ENDPATH**/ ?>