<!DOCTYPE html>
<!--[if lt IE 7 ]>
<html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]>
<html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]>
<html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html class="no-js" lang="en" <?php if(session()->get('rtl') == 1): ?> dir="rtl" <?php endif; ?> >
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <?php echo $__env->make('partials.seo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <link rel="stylesheet" href="<?php echo e(asset($themeTrue.'css/bootstrap.min.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset($themeTrue.'css/aos.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset($themeTrue.'css/animate.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset($themeTrue.'css/owl.carousel.min.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset($themeTrue.'css/owl.theme.default.min.css')); ?>"/>
    <script src="<?php echo e(asset($themeTrue.'js/fontawesomepro.js')); ?>"></script>

    <?php echo $__env->yieldPushContent('css-lib'); ?>

    <link rel="stylesheet" href="<?php echo e(asset($themeTrue.'css/style.css')); ?>"/>

    <?php echo $__env->yieldPushContent('style'); ?>

</head>

<body class="<?php if(session()->get('rtl') == 1): ?> rtl <?php endif; ?>">

<!-- bottom navbar -->
<div class="bottom-nav fixed-bottom d-lg-none">
    <div class="link-item <?php echo e(menuActive(['user.all.advertise'])); ?>">
        <a href="<?php echo e(route('user.all.advertise')); ?>">
            <i class="fal fa-ad"></i>
        </a>
    </div>
    <div class="link-item <?php echo e(menuActive('user.addFund')); ?>">
        <a href="<?php echo e(route('user.addFund')); ?>">
            <i class="fal fa-credit-card"></i>
        </a>
    </div>
    <div class="link-item <?php echo e(menuActive('user.home')); ?>">
        <a href="<?php echo e(route('user.home')); ?>">
            <i class="fal fa-home-lg-alt"></i>
        </a>
    </div>
    <div class="link-item <?php echo e(menuActive('user.transaction')); ?>">
        <a href="<?php echo e(route('user.transaction')); ?>">
            <i class="fal fa-exchange"></i>
        </a>
    </div>
    <div class="link-item">
        <button onclick="toggleSideMenu()">
            <i class="fal fa-ellipsis-v-alt"></i>
        </button>
    </div>
</div>

<div class="dashboard-wrapper">
    <!-- sidebar -->
    <div id="sidebar" class="">
        <div class="sidebar-top">
            <a class="navbar-brand d-none d-lg-block" href="<?php echo e(route('home')); ?>">
                <img src="<?php echo e(getFile(config('location.logoIcon.path').'logo.png')); ?>"
                     alt="<?php echo e(config('basic.site_title')); ?>">
            </a>
            <div class="mobile-user-area d-lg-none">
                <div class="thumb">
                    <img src="<?php echo e(getFile(config('location.user.path').auth()->user()->image)); ?>"
                         class="img-fluid user-img" alt="<?php echo app('translator')->get('user profile'); ?>"/>
                </div>
                <div class="content">
                    <h5 class="mt-1 mb-1 user-name"><?php echo e(Auth::user()->fullname); ?></h5>
                    <span class="text-small"><?php echo e('@'.Auth::user()->username); ?></span>
                </div>
            </div>
            <button class="sidebar-toggler d-lg-none" onclick="toggleSideMenu()">
                <i class="fal fa-times"></i>
            </button>
        </div>
        <ul class="main">
            <li>
                <a href="<?php echo e(route('user.home')); ?>" class="<?php echo e(menuActive('user.home')); ?>">
                    <i class="far fa-tachometer-alt-fast"></i><?php echo app('translator')->get('Dashboard'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.addFund')); ?>" class="<?php echo e(menuActive(['user.addFund', 'user.addFund.confirm'])); ?>">
                    <i class="fal fa-sack-dollar"></i><?php echo app('translator')->get('Add Fund'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.fund-history')); ?>"
                   class="<?php echo e(menuActive(['user.fund-history', 'user.fund-history.search'])); ?>">
                    <i class="fal fa-money-check-alt"></i><?php echo app('translator')->get('Deposit History'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.money-transfer')); ?>" class="<?php echo e(menuActive('user.money-transfer')); ?>">
                    <i class="far fa-exchange"></i><?php echo app('translator')->get('Fund Transfer'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.transaction')); ?>"
                   class="<?php echo e(menuActive(['user.transaction', 'user.transaction.search'])); ?>">
                    <i class="fal fa-credit-card-front"></i><?php echo app('translator')->get('All Transaction'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.payout.money')); ?>"
                   class="<?php echo e(menuActive(['user.payout.money','user.payout.preview'])); ?>">
                    <i class="fal fa-hand-holding-usd"></i><?php echo app('translator')->get('Withdraw'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.payout.history')); ?>"
                   class="<?php echo e(menuActive(['user.payout.history','user.payout.history.search'])); ?>">
                    <i class="fal fa-money-check-alt"></i><?php echo app('translator')->get('Withdraw History'); ?>
                </a>
            </li>
            <li class="<?php echo e(menuActive(['user.all.advertise'],3)); ?>">
                <a
                    class="dropdown-toggle"
                    data-bs-toggle="collapse"
                    href="#dropdownCollapsible"
                    role="button"
                    aria-expanded="false"
                    aria-controls="collapseExample"
                >
                    <i class="fal fa-ad"></i><?php echo app('translator')->get('Advertisement'); ?>
                </a>
                <div
                    class="collapse dropdown-collapsible <?php echo e(menuActive(['user.all.advertise', 'user.my.advertise', 'user.all.clicks', 'user.create.advertise', 'user.edit.my.ad', 'user.search.my.advertise', 'user.all.click.earnings', 'user.search.click.earnings'],4)); ?>"
                    id="dropdownCollapsible">
                    <ul class="">
                        <li>
                            <a href="<?php echo e(route('user.all.advertise')); ?>" class="<?php echo e(menuActive(['user.all.advertise'])); ?>">
                                <i class="far fa-list"></i><?php echo app('translator')->get('All Advertise List'); ?>
                            </a>
                        </li>
                        <?php
                            $siteConfigure = App\Models\Configure::select('user_ads_status')->first();
                        ?>
                        <?php if($siteConfigure &&  $siteConfigure->user_ads_status == 1): ?>
                            <li>
                                <a href="<?php echo e(route('user.create.advertise')); ?>"
                                   class="<?php echo e(menuActive(['user.create.advertise'])); ?>">
                                    <i class="far fa-plus-circle"></i><?php echo app('translator')->get('Create Advertise'); ?>
                                </a>
                            </li>
                        <?php endif; ?>
                        <li>
                            <a href="<?php echo e(route('user.my.advertise')); ?>"
                               class="<?php echo e(menuActive(['user.my.advertise', 'user.edit.my.ad', 'user.search.my.advertise'])); ?>">
                                <i class="fab fa-adversal"></i><?php echo app('translator')->get('My Advertise List'); ?>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('user.all.click.earnings')); ?>"
                               class="<?php echo e(menuActive(['user.all.click.earnings', 'user.search.click.earnings'])); ?>">
                                <i class="far fa-money-bill-alt"></i><?php echo app('translator')->get('Ads View Earning List'); ?>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
            <li>
                <a href="<?php echo e(route('user.referral')); ?>" class="<?php echo e(menuActive(['user.referral'])); ?>">
                    <i class="fal fa-share-square"></i><?php echo app('translator')->get('My Referral'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.referral.bonus')); ?>"
                   class="<?php echo e(menuActive(['user.referral.bonus', 'user.referral.bonus.search'])); ?>">
                    <i class="fal fa-box-usd"></i><?php echo app('translator')->get('Referral Bonus'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.ticket.list')); ?>"
                   class="<?php echo e(menuActive(['user.ticket.list', 'user.ticket.create', 'user.ticket.view*'])); ?>">
                    <i class="fal fa-user-headset"></i><?php echo app('translator')->get('Support Ticket'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.profile')); ?>" class="<?php echo e(menuActive('user.profile')); ?>">
                    <i class="fal fa-user-edit"></i><?php echo app('translator')->get('Edit Profile'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('user.twostep.security')); ?>" class="<?php echo e(menuActive(['user.twostep.security'])); ?>">
                    <i class="fal fa-user-lock"></i><?php echo app('translator')->get('2FA Security'); ?>
                </a>
            </li>
            <li>
                <a href="<?php echo e(route('logout')); ?>"
                   onclick="event.preventDefault(); document.getElementById('userLogout-form').submit();">
                    <i class="fal fa-sign-out-alt"></i><?php echo app('translator')->get('Sign Out'); ?>
                </a>
            </li>
            <form id="userLogout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                <?php echo csrf_field(); ?>
            </form>
        </ul>
    </div>

    <!-- content -->
    <div id="content">
        <div class="overlay">
            <!-- navbar -->
            <nav class="navbar navbar-expand-lg">
                <div class="container-fluid">

                    <a class="navbar-brand d-lg-none" href="<?php echo e(route('home')); ?>">
                        <img src="<?php echo e(getFile(config('location.logoIcon.path').'logo.png')); ?>"
                             alt="<?php echo e(config('basic.site_title')); ?>">
                    </a>
                    <button class="sidebar-toggler d-none d-lg-block" onclick="toggleSideMenu()">
                        <i class="far fa-bars"></i>
                    </button>

                    <!-- navbar text -->
                    <span class="navbar-text">

                            <!-- notification panel -->
                            <?php echo $__env->make($theme.'partials.pushNotify', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                    <!-- user panel -->
                            <div class="user-panel d-none d-lg-block">
                                <span class="profile">
                                    <?php if(auth()->user()->image != NULL): ?>
                                        <img src="<?php echo e(getFile(config('location.user.path').auth()->user()->image)); ?>"
                                             class="img-fluid" alt="<?php echo app('translator')->get('user profile'); ?>"/>
                                        <span class="primaryColorText2">
                                            <?php echo e(auth()->user()->username); ?>

                                        </span>
                                    <?php else: ?>
                                        <img src="<?php echo e(getFile(config('location.default'))); ?>" class="img-fluid"
                                             alt="<?php echo app('translator')->get('default image'); ?>">
                                        <span class="primaryColorText2">
                                            <?php echo e(auth()->user()->username); ?>

                                        </span>
                                    <?php endif; ?>
                                </span>
                                <ul class="user-dropdown">
                                    <li>
                                        <a href="<?php echo e(route('user.profile')); ?>"> <i class="fal fa-user"></i> <?php echo app('translator')->get('Profile'); ?></a>
                                    </li>
                                    <li>
                                        <a href="<?php echo e(route('plan')); ?>"> <i class="far fa-cubes"></i> <?php echo app('translator')->get('Plan Purchase'); ?></a>
                                    </li>
                                    <li>
                                        <a href="<?php echo e(route('user.all.advertise')); ?>"> <i class="fal fa-ad"></i> <?php echo app('translator')->get('All Advertise List'); ?></a>
                                    </li>
                                    <li>
                                        <a href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault(); document.getElementById('userLogout').submit();">
                                            <i class="fal fa-sign-out-alt"></i> <?php echo app('translator')->get('Sign Out'); ?>
                                        </a>
                                    </li>
                                    <form id="userLogout" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                        <?php echo csrf_field(); ?>
                                    </form>

                                </ul>
                            </div>
                        </span>
                </div>
            </nav>

            <!-- main -->
            <?php echo $__env->yieldContent('content'); ?>

        </div>
    </div>
</div>


<?php echo $__env->yieldPushContent('loadModal'); ?>

<?php echo $__env->yieldPushContent('extra-content'); ?>


<script src="<?php echo e(asset($themeTrue.'js/bootstrap.bundle.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/global/js/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset($themeTrue.'js/aos.js')); ?>"></script>
<script src="<?php echo e(asset($themeTrue.'js/owl.carousel.min.js')); ?>"></script>
<script src="<?php echo e(asset($themeTrue.'js/socialSharing.js')); ?>"></script>

<?php echo $__env->yieldPushContent('extra-js'); ?>

<script src="<?php echo e(asset('assets/global/js/notiflix-aio-2.7.0.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/global/js/pusher.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/global/js/vue.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/global/js/axios.min.js')); ?>"></script>

<!-- custom script -->
<script src="<?php echo e(asset($themeTrue.'js/script.js')); ?>"></script>


<script>
    'use strict';
    <?php if(auth()->guard()->check()): ?>
        <?php if(config('basic.push_notification') == 1): ?>
        let pushNotificationArea = new Vue({
            el: "#pushNotificationArea",
            data: {
                items: [],
            },
            mounted() {
                this.getNotifications();
                this.pushNewItem();
            },
            methods: {
                getNotifications() {
                    let app = this;
                    axios.get("<?php echo e(route('user.push.notification.show')); ?>")
                        .then(function (res) {
                            app.items = res.data;
                        })
                },
                readAt(id, link) {
                    let app = this;
                    let url = "<?php echo e(route('user.push.notification.readAt', 0)); ?>";
                    url = url.replace(/.$/, id);
                    axios.get(url)
                        .then(function (res) {
                            if (res.status) {
                                app.getNotifications();
                                if (link != '#') {
                                    window.location.href = link
                                }
                            }
                        })
                },
                readAll() {
                    let app = this;
                    let url = "<?php echo e(route('user.push.notification.readAll')); ?>";
                    axios.get(url)
                        .then(function (res) {
                            if (res.status) {
                                app.items = [];
                            }
                        })
                },
                pushNewItem() {
                    let app = this;
                    // Pusher.logToConsole = true;
                    let pusher = new Pusher("<?php echo e(env('PUSHER_APP_KEY')); ?>", {
                        encrypted: true,
                        cluster: "<?php echo e(env('PUSHER_APP_CLUSTER')); ?>"
                    });
                    let channel = pusher.subscribe('user-notification.' + "<?php echo e(Auth::id()); ?>");
                    channel.bind('App\\Events\\UserNotification', function (data) {
                        app.items.unshift(data.message);
                    });
                    channel.bind('App\\Events\\UpdateUserNotification', function (data) {
                        app.getNotifications();
                    });
                }
            }
        });
        <?php endif; ?>
    <?php endif; ?>

    // toggle sidebar
    const toggleSideMenu = () => {
        document.getElementById("sidebar").classList.toggle("active");
        document.getElementById("content").classList.toggle("active");
    };


    $(".card-boxes").owlCarousel({
        loop: true,
        margin: -25,
        rtl: false,
        nav: false,
        dots: false,
        autoplay: false,
        autoplayTimeout: 3000,
        responsive: {
            0: {
                items: 1,
            },
            576: {
                items: 2,
            },
        },
    });
</script>

<?php echo $__env->yieldPushContent('script'); ?>

<?php echo $__env->make($theme.'partials.notification', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php echo $__env->make('plugins', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>
</html>
<?php /**PATH D:\xampp\htdocs\ptcLive\resources\views/themes/linen/layouts/user.blade.php ENDPATH**/ ?>